<%-- jsf:pagecode language="java" location="/src/com/ibm/dpsm/console/vsm/createserver/pagecode/CreateServer.java" --%><%-- /jsf:pagecode --%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />
<LINK rel="stylesheet" type="text/css" href='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/createvstable.css") %>'>
<LINK rel="stylesheet" type="text/css" href='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Styles.css") %>'>

<script type="text/javascript">

var namespace = "view<%= renderResponse.getNamespace() %>:";
function dispatchRequest(outputlink)
{
	
	if (outputlink != null) {
        var cells = outputlink.parentNode.childNodes;
        if (cells != null) {
            cells[1].click();
        }  
    }
    return false;
}

function checkOptions(checkBoxId)
{
	var otherCheckbox = document.getElementById(namespace+checkBoxId);
	if(otherCheckbox.checked)
		otherCheckbox.checked = false;	
}


function handleTableRowSelection(tableId)
{
	handleTableRowTaskSelection(tableId,false,null,null);
}

function handleTableRowTaskSelection(tableId,taskAction,editId,deleteId)
{
	var rowSelectionCount = 0;
	var table = document.getElementById(namespace+tableId);
	var tableChildren = table.childNodes;
	var tbody = null;
	for(var j =0; j< tableChildren.length;j++)
	{
		if(tableChildren[j].nodeName == 'TBODY')
			tbody = tableChildren[j]; 
	}
	 
	if(!tbody)
		return;
	
	var rows = tbody.childNodes;
	var row;
	var selectElement;
	if(rows != null)
	{
		for(var i=0; i < rows.length;i++)
		{
			row = rows[i];
			if(row.nodeName == 'TR')
			{
				selectElement = row.firstChild.firstChild; 
				highlightRow(selectElement);
				if(selectElement.checked && taskAction)
					rowSelectionCount++;
						
			}		
	
		}
	}
	
	if(taskAction)
	handleTaskSelection(rowSelectionCount,
					editId,deleteId);
}

function handleTaskSelection(count,editId,removeId)
{
	if(count == 1)
		document.getElementById(namespace+editId).disabled = false;
	 else
		document.getElementById(namespace+editId).disabled = true;

	if(count > 0)
		document.getElementById(namespace+removeId).disabled = false;
	 else
		document.getElementById(namespace+removeId).disabled = true;
	
}

function highlightRow(row)
{
	if (row != null) {
		var cells = row.parentNode.parentNode.childNodes;
        if (cells != null) {
            for (var i=0; i < cells.length; i++) {
				if(row.checked)
					cells[i].className="wclTableSelectedData";
				else
					cells[i].className= "columnClass1";                
            }
        }  
    } 
}


function sortCol(actButtonName,col,inFieldId)
{
	actButtonElem = document.getElementById(namespace+actButtonName);
	var inputElem = document.getElementById(namespace+inFieldId);
	inputElem.value = col;
		
	actButtonElem.click();
	
}

function alignCol(currtableId)
{
	var headertable = document.getElementById(namespace+currtableId+'head2');

	if(!headertable)
		return;

	var thelements = headertable.getElementsByTagName("th");

	var bodytable = document.getElementById(namespace+currtableId);
	var colelements = bodytable.rows[0].getElementsByTagName("td");
	
		
	for(var index=0;index<colelements.length;index++)
	{
		thelements[index].style.width = colelements[index].offsetWidth;
		
		var offset = thelements[index].offsetWidth - colelements[index].offsetWidth;
		if(offset != 0)
		{			
			thelements[index].style.width =  colelements[index].offsetWidth - offset;
		}
	}
}


function showDialog()
{
	var dialog = hX_5.getComponentById(namespace+'createServer_form:createsvrwizard:AssignVirtualDiskPanel:createVDiskPanelDialog');
	if(dialog)
	{
		dialog.show("thisEvent");
	}
}

function submitVDisk()
{
	var busydialog = hX_5.getComponentById(namespace+'createServer_form:createsvrwizard:AssignVirtualDiskPanel:creatediskBusydialog');
	if(busydialog)
	{
		busydialog.show("thisEvent");
	}
	
	var submitbutton = document.getElementById(namespace+'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksubmitbutton');
	
	if(submitbutton)
	{
		submitbutton.click();
	}
}

var searchString = null;

function clearSearch(clearButtonId,inputElem)
{
	var clearButtonElem = document.getElementById(namespace+clearButtonId);

	if(clearButtonElem)
	{
		clearButtonElem.click();
	}
}

function blurEvent(inputElem)
{
	var srcInput = document.getElementById(namespace+inputElem);
	if(srcInput.value == "")
	{
		srcInput.value = searchString;
	}	
}

function keyUpEvent(inputElem,imageElem,searchButtonElem)
{
	var srcInput = document.getElementById(namespace+inputElem);
	var srcImage = document.getElementById(namespace+imageElem);
	var srcButton = document.getElementById(namespace+searchButtonElem);

	if(srcInput.value != "")
	{
		srcImage.style.display = "inline";
		srcImage.style.left = 0 - (srcButton.offsetWidth + 30);
		srcButton.disabled = false;
	}
	else
	{
		srcImage.style.display = "none";
		srcButton.disabled = true;
	}
	
}

function focusEvent(inputElem)
{
	var srcInput = document.getElementById(namespace+inputElem);

	if(srcInput.value == searchString)
		srcInput.value = "";
}

function searchOnLoad(inputElem,imageElem,searchButtonElem,defaultSearchText)
{
	var srcInput = document.getElementById(namespace+inputElem);
	var srcImage = document.getElementById(namespace+imageElem);
	var srcButton = document.getElementById(namespace+searchButtonElem);

	if(searchString == null)
		searchString = defaultSearchText;

	if(srcInput.value == searchString || srcInput.value == "")
	{
		srcImage.style.display = "none";
		srcButton.disabled = true;
	}
	else
	{
		srcImage.style.display = "inline";
		srcImage.style.left = 0 - (srcButton.offsetWidth + 30);
		srcButton.disabled = false;
	}
}

//Gets the actual char entered
function getCharPressed(evt) {

	// Get the key that was pressed
	evt = evt || window.event;
	var code = evt.charCode || evt.keyCode;

	// Get the actual character pressed
	var c = String.fromCharCode(code);

	return c;
}


//Determines if a control event was fired (like tab, left/right arrows, etc.)
function isControlEvent(evt) {

	// Get the key that was pressed
	evt = evt || window.event;
	var code = evt.charCode || evt.keyCode;

	// Function keys are okay
	if (evt.charCode == 0) {// charCoe is undefined in IE
		return true;
	}
	// Handle ctrl and alt keys
	if (evt.ctrlKey || evt.altKey) 
		return true;
	// Allow control characters
	if (code < 32) 
		return true;

	return false;
}

/** 
* To check the entered value is a number
* 
*/
function isNumber(evt,id, decimalSeparator) {
	var input_text = document.getElementById(id).value;
	var numbers = "0123456789"+decimalSeparator ;
	var char = getCharPressed(evt);
	if(char == decimalSeparator) {
		if(input_text.indexOf(".") != -1) { 
			return false;		
		}	
	}

	// Ignore the event if we can -- this if for control events like backspace, tab, arrows, etc.
	if( isControlEvent(evt) ) {
	
		// Disallow pasting -- FF only
		if( controlKeyPressed(evt) && ( getCharPressed(evt) == "v" || getCharPressed(evt) == "V" ) ) {
			return false;
		}
		
		// Disallow tab is field is empty -- FF only
		if( input_text.length == 0 ) {
			var keyCode = getKeyCode(evt);
			if( keyCode == 9 && !shiftKeyPressed(evt) ) {
				return false;
			}
		}
		setNotSelected();		
		return true;
	}
	
	return (numbers.indexOf(char) != -1 ? true : false );
}
</script>

<f:view>
<f:loadBundle
	basename="com.ibm.dpsm.console.vsm.createserver.nl1.CreateServer"
	var="msg" />
<hx:scriptCollector id="createServer_hxscriptCollector">
<usmc:form id="createServer_form" styleClass="form" includeErrorMessageWidget="false">
		<exfaces:wizard id="createsvrwizard"
				stateMachine="#{createserver_wizard_statemachine}" rendered="#{!createServerTask.initializationError}">
				<f:facet name="CreateServerIndexPanelFacet">
					<f:subview id="CreateServerIndexPanel"
						rendered="#{createserver_wizard_statemachine.page[1].current}">
						<%@include file="/jsps/createserver/wizard/CreateServerIndex.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignMemoryPanelFacet">
					<f:subview id="AssignMemoryPanel"
						rendered="#{createserver_wizard_statemachine.page[2].current}">
						<%@include file="/jsps/createserver/wizard/AssignMemory.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignProcessorPanelFacet">
					<f:subview id="AssignProcessorPanel"
						rendered="#{createserver_wizard_statemachine.page[3].current}">
						<%@include file="/jsps/createserver/wizard/AssignProcessor.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignEthernetPanelFacet">
					<f:subview id="AssignEthernetPanel"
						rendered="#{createserver_wizard_statemachine.page[4].current}">
						<%@include file="/jsps/createserver/wizard/AssignEthernet.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="StorageOptionsPanelFacet">
					<f:subview id="StorageOptionsPanel"
						rendered="#{createserver_wizard_statemachine.page[5].current}">
						<%@include file="/jsps/createserver/wizard/StorageOptions.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignVirtualDiskPanelFacet">
					<f:subview id="AssignVirtualDiskPanel"
						rendered="#{createserver_wizard_statemachine.page[6].current}">
						<%@include file="/jsps/createserver/wizard/AssignVirtualStorage.jsp"%>
					</f:subview>
				</f:facet>				
				<f:facet name="AssignVirtualAdaptersPanelFacet">
					<f:subview id="AssignVirtualAdaptersPanel"
						rendered="#{createserver_wizard_statemachine.page[7].current}">
						<%@include file="/jsps/createserver/wizard/AssignVirtualAdapters.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignOpticalDevicePanelFacet">
					<f:subview id="AssignOpticalDevicePanel"
						rendered="#{createserver_wizard_statemachine.page[8].current}">
						<%@include file="/jsps/createserver/wizard/AssignOpticalDevice.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignPhyAdaptersPanelFacet">
					<f:subview id="AssignPhyAdaptersPanel"
						rendered="#{createserver_wizard_statemachine.page[9].current}">
						<%@include file="/jsps/createserver/wizard/AssignPhyAdapters.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="AssignLdSrc-ConsolePanelFacet">
					<f:subview id="AssignLdSrcConsolePanel"
						rendered="#{createserver_wizard_statemachine.page[10].current}">
						<%@include file="/jsps/createserver/wizard/AssignLdSrc-Console.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="SummaryPanelFacet">
					<f:subview id="SummaryPanel"
						rendered="#{createserver_wizard_statemachine.page[11].current}">
						<%@include file="/jsps/createserver/wizard/Summary.jsp"%>
					</f:subview>
				</f:facet>
			</exfaces:wizard>
			<h:panelGrid rendered="#{createServerTask.initializationError}" id="errorPanel">
				<h:outputText value="#{createServerTask.initializationErrorMsg}" id="errorText"/>
				<hx:commandExButton value="#{msg.CLOSE_LBL}" action="#{createServerTask.cancel}" id="errorCloseButton"/>
			</h:panelGrid>
		</usmc:form>	
	</hx:scriptCollector>
</f:view>
