<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<h:panelGrid>
	<h:outputText value="#{msg.STRG_OPTIONS_TXT}"/>
		<h:outputText value="<P>" escape="false"/>
	<h:outputText value="#{msg.STRG_OPTIONS_TXT2}"/>
	
	<h:panelGrid id="disk_options_panel">
			
			<hx:ajaxRefreshSubmit id="ajRefreshSubmit_storageOptions" target="disk_options_panel" />
			
			<h:selectOneRadio  id="select_storage_type_id"	layout="pageDirection" 	value="#{vios_pagecode.systemManaged}" >
				<f:selectItems value="#{vios_pagecode.adapterManageOptions}"/>
				<hx:behavior id="ajBehavior_Resources_3" event="onclick" behaviorAction="get;stop" 	targetAction="disk_options_panel" />
			</h:selectOneRadio>

			<h:panelGrid columns="1" rendered="#{vs_virutaladapterconfig_bean.systemManaged}" styleClass="columnLeftAlign">
					<usmc:outputLabel id="virtualserverenvlabel" for="virtual_disk_type" value="#{msg.select_type}" />
					<h:panelGrid id="panelOptions" columns="1" cellspacing="5">
						<h:selectManyCheckbox id="virtual_disk_type" value="#{storageadap_cs_pagecode.selectedStorageTypes}" layout="pageDirection" >
							<f:selectItems value="#{storageadap_cs_pagecode.storageOptions}" />
						</h:selectManyCheckbox>
					</h:panelGrid>
			</h:panelGrid>
						
	</h:panelGrid>
	
</h:panelGrid>