<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />
<LINK rel="stylesheet" type="text/css" href='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/createvstable.css") %>'>
<LINK rel="stylesheet" type="text/css" href='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Styles.css") %>'>
<LINK rel="stylesheet" type="text/css" href='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/vtabbedPanel.css") %>'>
<script type="text/javascript">
var namespace = "view<%= renderResponse.getNamespace() %>:";
</script>
<SCRIPT type="text/javascript" src='<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/js/common.js") %>'></SCRIPT>
<f:view>
<f:loadBundle
	basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerResource"
	var="msg" />
<hx:scriptCollector id="mvshxscriptCollector">

<usmc:form id="manageServer_form" includeErrorMessageWidget="false">
	
	<h:panelGrid id="eventInitiatePanel" cellpadding="0" cellspacing="0" width="100%">
		<hx:ajaxRefreshRequest id="eventIntiateAjaxrefresh"/>
		
	<vsmfaces:manageServerPanel handler="#{manageServerVTabHandler}" id="manageServerPanel" rendered="#{!manageVirtualServer.initializationError}">
	
	<hx:ajaxRefreshSubmit id="refreshPanel"/>
	
	<f:subview id="ManageServerVTabView">
			<%@include file="/jsps/manageserver/ManageServerView.jsp" %>
	</f:subview>

	</vsmfaces:manageServerPanel>
	
	<h:panelGrid id="initializationErrorPanel" rendered="#{manageVirtualServer.initializationError}" id="errorPanel">
		<h:outputText value="#{manageVirtualServer.initializationErrorMsg}" id="errorOutputText"/>
	</h:panelGrid>
	
	</h:panelGrid>
	
</usmc:form>

</hx:scriptCollector>
</f:view>