<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="edit_memory">

<f:loadBundle var="msg" basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"/>


<h:panelGrid id="editMemPanelID">

<h:panelGrid id="memHeaderId" border="0" columns="1">
	<h:outputText id="memDescId" value="#{mem_msg['EditMemProp.AddorRem']} - #{partitionGeneralPropertiesBean.name}" style="color:#6060CC; font-weight: bold" />
	<h:outputText/>
	<h:outputText/>
	
	<h:outputText id="memDescrpLine1" value="#{mem_msg['EditMemProp.memDescrpLine1']}"/>
	<h:outputText id="memDescrpLine2" value="#{mem_msg['EditMemProp.memDescrpLine2']}"/>
	<h:outputText id="memDescrpLine3" value="#{mem_msg['EditMemProp.memDescrpLine3']}"/>
		
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
</h:panelGrid>

<!-- Memory weight field -->
<h:panelGrid columns="2" rendered='#{memModeBean.selectedRadio == "Shared"}'>
	<h:outputText value="#{mem_msg['EditMemProp.MemWt']}" style="color:#6060CC; font-weight: bold"></h:outputText>
	<h:inputText id="memWeight" value="#{memoryDataBean.memCapacityWt}" maxlength="4" size="10" required="true" validator="#{memoryDataBean.validateMemWeight}"></h:inputText>  
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
</h:panelGrid>
<!-- Memory weight field -->

<!-- The Dedicated Memory data table starts here  -->
<h:outputText value="#{mem_msg['EditMemProp.LogicalMem']}" style="color:#6060CC; font-weight: bold"></h:outputText>
<h:outputText/>
<h:outputText/>
<h:outputText/>

<!-- The different memory fields goes here  -->
<h:panelGrid id="memLevelField" columns="3" styleClass="panelGrid" width="100%" >
		<h:outputText id="memPropertyHeaderId" value="#{mem_msg['MemoryProp.Property']}" style="font-weight: bold" />
		<h:outputText id="memCurrentHeaderId" value="#{mem_msg['MemoryProp.Curent']}" style="font-weight: bold" />
		<h:outputText id="memPendingHeaderId" value="#{mem_msg['MemoryProp.Pending']}" style="font-weight: bold" />
		
		<usmc:outputLabel id="labelMemMinLabelId" styleClass="outputText" value="#{mem_msg['MemoryProp.Min']}" for="memPendMinId_new"></usmc:outputLabel>
		<!-- h:outputText id="memMinLabelId" value="#{mem_msg['MemoryProp.Min']}" -->
		<h:outputText id="memCurrMinId" value="#{memoryDataBean.minMemAsStr} #{mem_msg['EditMemProp.MB']}" />
		<h:inputText id="memPendMinId_new" value="#{memoryDataBean.minMem}" binding="#{memoryDataBean.minMemInput}" maxlength="10" size="10"
		    disabled="#{(memoryDataBean.isLPARActive)}" required="true" validator="#{memoryDataBean.validateMinMem}">
		    <f:converter converterId="UsmiNumber" />
			<f:validator validatorId="NumericRange" />
			<f:attribute name="fieldName" value="#{mem_msg['MemoryProp.Min']}" />
		</h:inputText>
		
		<usmc:outputLabel id="labelMemAllLabelId" styleClass="outputText" value="#{mem_msg['MemoryProp.Assigned']}" for="memPendAllId_new"></usmc:outputLabel>
		<!-- h:outputText id="memAllLabelId" value="#{mem_msg['MemoryProp.Assigned']}" -->
		<h:outputText id="memCurrAllId" value="#{memoryDataBean.assignedMemAsStr} #{mem_msg['EditMemProp.MB']}" />
		<h:inputText id="memPendAllId_new" value="#{memoryDataBean.assignedMem}" binding="#{memoryDataBean.assignMemInput}" maxlength="10" size="10" required="true" validator="#{memoryDataBean.validateAssignedMem}">
			<f:converter converterId="UsmiNumber" />
			<f:validator validatorId="NumericRange" />
			<f:attribute name="isLparActive" value="#{memoryDataBean.isLPARActive}"/>
			<f:attribute name="fieldName" value="#{mem_msg['MemoryProp.Assigned']}" />
		</h:inputText>
		
		<usmc:outputLabel id="labelMemMaxLabelId" styleClass="outputText" value="#{mem_msg['MemoryProp.Max']}" for="memPendMaxId_new"></usmc:outputLabel>
		<!--  h:outputText id="memMaxLabelId" value="#{mem_msg['MemoryProp.Max']}" -->
		<h:outputText id="memCurrMaxId" value="#{memoryDataBean.maxMemAsStr} #{mem_msg['EditMemProp.MB']}" />
		<h:inputText id="memPendMaxId_new" value="#{memoryDataBean.maxMem}" maxlength="10" size="10"
			disabled="#{memoryDataBean.isLPARActive}" required="true" binding="#{memoryDataBean.maxMemInput}" validator="#{memoryDataBean.validateMaxMem}" >
			<f:converter converterId="UsmiNumber" />
			<f:validator validatorId="NumericRange" />
			<f:attribute name="fieldName" value="#{mem_msg['MemoryProp.Max']}" />
		</h:inputText>			
</h:panelGrid> 

<!-- I/O Entitled Memory -->

<h:panelGrid rendered='#{memModeBean.selectedRadio == "Shared"}'>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	
	<h:outputText value="#{mem_msg['EditMemProp.IO']}" style="color:#6060CC; font-weight: bold"></h:outputText>
	
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	
	<h:panelGrid id="autoPanelGrid" border="1" columns="2" >
  		<h:outputText value="#{mem_msg['EditMemProp.AvailPoolMem']}"/>
  		<h:outputText value="#{memoryDataBean.availPoolMem}"/>

  		<h:selectBooleanCheckbox id="autoCheckBox" value="#{memoryDataBean.isAuto}" valueChangeListener="#{memoryDataBean.autoModeChange}">
  			<hx:behavior id="ajBehavior_Mem_Auto" target="autoCheckBox" event="onclick" behaviorAction="get;stop" targetAction="autoPanelGrid" />
  		</h:selectBooleanCheckbox>
  		<h:outputText value="#{mem_msg['EditMemProp.Auto']}"/>

  		<h:outputText value="#{mem_msg['EditMemProp.IoEntMem']}"/>
  		<h:inputText value="#{memoryDataBean.entMem}" disabled="#{memoryDataBean.isAuto}" binding="#{memoryDataBean.entMemUiInput}">
  			<f:converter converterId="UsmiNumber" />
			<f:validator validatorId="NumericRange" />
  		</h:inputText>
 </h:panelGrid>
	
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	<h:outputText/>
	
</h:panelGrid>

<!-- I/O Entitled Memory -->

<!-- huge page and bsr array section starts here -->

<h:panelGrid columns="1" rendered='#{memModeBean.selectedRadio == "Dedicated"}' width="100%">

			<h:panelGrid rendered="#{(memoryDataBean.isRPA) and (!memoryDataBean.isLPARActive)}">
				<h:outputText id="labelPageSize" styleClass="outputText" value="Huge Pages ( #{memoryDataBean.pageSize} GB per Page ) " style="color:#6060CC; font-weight: bold" />
			</h:panelGrid>
				
			<h:outputText/>
			<h:outputText/>
			
			<h:panelGrid id="hugePageAvailField" columns="3" styleClass="panelGrid" width="50%" rendered="#{(memoryDataBean.isRPA) and (!memoryDataBean.isLPARActive)}">
					<h:outputText id="availHugePagememLabelId" value="#{mem_msg['MemoryProp.AvailHugePages']}" />
					<h:outputText id="availHugePagememValId" value="#{memoryDataBean.confgHugePageMem} " />
			</h:panelGrid>
			
			<h:outputText/>
			<h:outputText/>
			
			<h:panelGrid id="zeroAvailHugePage" styleClass="panelGrid" width="80%" rendered="#{(!memoryDataBean.isHugePageAvailable) and (memoryDataBean.isRPA) and (!memoryDataBean.isLPARActive)}">
					<h:outputText id="againZero" value="#{mem_msg['EditMemPro.NoHugePageAvailable']}" />
			</h:panelGrid>
			
			
			<h:outputText/>
			<h:outputText/>
				
			<!-- The new huge page section starts here -->

			<h:panelGrid id="hugePagememLevelField" columns="3" styleClass="panelGrid" width="100%" rendered="#{(memoryDataBean.isRPA) and (!memoryDataBean.isLPARActive)}">
					<h:outputText id="hugePagememPropertyHeaderId" value="#{mem_msg['MemoryProp.Property']}" style="font-weight: bold" />
					<h:outputText id="hugePagememCurrentHeaderId" value="#{mem_msg['MemoryProp.Curent']}" style="font-weight: bold" />
					<h:outputText id="hugePagememPendingHeaderId" value="#{mem_msg['MemoryProp.Pending']}" style="font-weight: bold" />
					
					<usmc:outputLabel id="labelHugePagememMin" styleClass="outputText" value="#{mem_msg['MemoryProp.MinPages']}" for="hugePagememPendMinId_new"></usmc:outputLabel>
					<!-- h:outputText id="hugePagememMinLabelId" value="#{mem_msg['MemoryProp.MinPages']}" -->
					<h:outputText id="hugePagememCurrMinId" value="#{memoryDataBean.currMinHugePageMem} " />
					<h:inputText id="hugePagememPendMinId_new" value="#{memoryDataBean.pendMinHugePageMem}" maxlength="10" size="10"
					 	binding="#{memoryDataBean.pendMinHugePageInput}" required="true" validator="#{memoryDataBean.validatePendMinHugePage}" disabled="#{!memoryDataBean.isHugePageAvailable}"> 
					 </h:inputText>
					
					<usmc:outputLabel id="labelHugePagememAll" styleClass="outputText" value="#{mem_msg['MemoryProp.AssignedPages']}" for="hugePagememPendAllId_new"></usmc:outputLabel>
					<!-- h:outputText id="hugePagememAllLabelId" value="#{mem_msg['MemoryProp.AssignedPages']}" -->
					<h:outputText id="hugePagememCurrAllId" value="#{memoryDataBean.currAllocHugePageMem} " />
					<h:inputText id="hugePagememPendAllId_new" value="#{memoryDataBean.pendAllocHugePageMem}" maxlength="10" size="10"
					 	binding="#{memoryDataBean.pendAllocHugePageInput}" required="true" validator="#{memoryDataBean.validatePendAllocHugePage}" disabled="#{!memoryDataBean.isHugePageAvailable}">
					 </h:inputText>
					
					<usmc:outputLabel id="labelHugePagememMax" styleClass="outputText" value="#{mem_msg['MemoryProp.MaxPages']}" for="hugePagememPendMaxId_new"></usmc:outputLabel>
					<!-- h:outputText id="hugePagememMaxLabelId" value="#{mem_msg['MemoryProp.MaxPages']}" -->
					<h:outputText id="hugePagememCurrMaxId" value="#{memoryDataBean.currMaxHugePageMem} " />
					<h:inputText id="hugePagememPendMaxId_new" value="#{memoryDataBean.pendMaxHugePageMem}" maxlength="10" size="10"
						binding="#{memoryDataBean.pendMaxHugePageInput}" required="true" validator="#{memoryDataBean.validatePendMaxHugePage}" disabled="#{!memoryDataBean.isHugePageAvailable}">
					</h:inputText>		
			</h:panelGrid>
			
			<!-- The new huge page section end here -->
			
			<h:outputText/>
			<h:outputText/>
			
			<!-- The new BSR array section starts here -->
			<h:panelGrid id="panelGeneral" columns="2" styleClass="panelGrid" cellspacing="5" rendered="#{(!memoryDataBean.isLPARActive)}">
			<usmc:outputLabel id="labelBsrArrayId" styleClass="outputText" value="#{mem_msg['MemoryProp.BSR']}" for="bsrArrVal_new"></usmc:outputLabel>
					<!--  h:outputText id="labelPartitionName" styleClass="outputText" style="font-weight: bold" value="#{mem_msg['MemoryProp.BSR']}" -->
					<h:inputText id="bsrArrVal_new" value="#{memoryDataBean.selecetedBSRvalue}" validator="#{memoryDataBean.validateBSR}" required="true" maxlength="10" size="10" />
			</h:panelGrid>
			<!-- The new BSR array section starts here -->
		<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressMem" behaviorAction="stop" targetAction="" target="editMemPanelID"></hx:behaviorKeyPress>				
</h:panelGrid>
<!-- huge page and bsr array section starts here -->
<f:verbatim><br /></f:verbatim>
<!-- The button comes here -->
</h:panelGrid>
<hx:panelBox >
		<hx:commandExButton value="#{msg['CommandButton.OK']}" action="#{EDITMEMORYTASK.submit}">
		<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
		</hx:commandExButton>
		<hx:commandExButton value="#{msg['CommandButton.Cancel']}" action="#{EDITMEMORYTASK.cancel}" immediate="true">
		<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
		</hx:commandExButton>
</hx:panelBox>

</f:subview>