	<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />

	   
	    <h:panelGrid id="panelPartitionGeneralSettings" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">

				<!--  Expand/collapse section for General properties -->
				<hx:panelSection initClosed="false" title="General" id="panelSectionGeneral" styleClass="panelSectionDPSMWide">
					<f:facet name="closed">
						<hx:jspPanel id="jspPanel1">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption1" value="#{msg['GeneralProperties.SectionTitle']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="jspPanel2">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption2" styleClass="outputText"
								value="#{msg['GeneralProperties.SectionTitle']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>

					<h:panelGrid id="panelGeneral" columns="2" styleClass="panelGrid"
						cellspacing="5" >
							
							<h:outputText id="labelPartitionName" styleClass="outputText" value="#{msg['GeneralProperties.PartitionName']}" />
							<h:outputText id="textPartitionName" value="#{partitionGeneralPropertiesBean.name}" />
								
							
							<h:outputText id="labelPartitionId" styleClass="outputText"
								value="#{msg['GeneralProperties.PartitionId']}"></h:outputText>
							<h:outputText id="textPartitionId" value="#{partitionGeneralPropertiesBean.id}" />

							<h:outputText id="labelEnvironment" styleClass="outputText"
								value="#{msg['GeneralProperties.Environment']}"></h:outputText>
							<h:outputText id="textEnvironment" styleClass="outputText" value="#{partitionGeneralPropertiesBean.environment}"/>

							<h:outputText id="labelState" styleClass="outputText"
								value="#{msg['GeneralProperties.State']}"></h:outputText>
							<h:outputText id="textState" styleClass="outputText" value="#{partitionGeneralPropertiesBean.state}" />

							<h:outputLabel id="labelAttentionLED" styleClass="outputText"
								value="#{msg['GeneralProperties.AttentionLED']}" for="AttentionLEDMenu"></h:outputLabel>
						 	<h:outputText id="textAttentionLEDName" value="#{partitionGeneralPropertiesBean.ledStateAsLabel}" />

							<h:outputText id="labelResourceConfig" styleClass="outputText"
								value="#{msg['GeneralProperties.ResourceConfig']}"></h:outputText>
							<h:outputText id="textResourceConfig" styleClass="outputText" value="#{partitionGeneralPropertiesBean.resourceConfig}"/>

							<h:outputText id="labelOSVersion" styleClass="outputText"
								value="#{msg['GeneralProperties.OsVersion']}"></h:outputText>
							<h:outputText id="textOSVersion" styleClass="outputText" value="#{partitionGeneralPropertiesBean.osVersion}"/>

							<h:outputText id="labelCurrentProfile" styleClass="outputText"
								value="#{msg['GeneralProperties.CurrentProfile']}"></h:outputText>
							<h:outputText id="textCurrentProfile" styleClass="outputText" value="#{partitionGeneralPropertiesBean.currentProfile}"/>

							<h:outputText id="labelSystem" styleClass="outputText"
								value="#{msg['GeneralProperties.System']}"></h:outputText>
							<h:outputText id="textSystem" styleClass="outputText" value="#{partitionGeneralPropertiesBean.system}"/>
							
							
					</h:panelGrid>
				</hx:panelSection>

				<!--  Expand/collapse section for Settings -->
				<hx:panelSection initClosed="false" title="Settings" id="panelSection_Settings" styleClass="panelSectionDPSMWide">
					<f:facet name="closed">
						<hx:jspPanel id="jspPanel3">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption3" value="#{msg['Settings.SectionTitle']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="jspPanel4">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption4" styleClass="outputText"
								value="#{msg['Settings.SectionTitle']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>

					<h:panelGrid id="panelSettings" columns="2" styleClass="panelGrid" cellspacing="5">
					
						<h:outputText id="labelBootMode" styleClass="outputText" value="#{msg['Settings.BootMode']}" rendered="#{!partitionGeneralPropertiesBean.isIBMi}"/>						
						<h:outputText id="selectBootModeMenuName" value="#{partitionGeneralPropertiesBean.selectedBootValue}" rendered="#{!partitionGeneralPropertiesBean.isIBMi}"/>
						
						<h:outputText id="labelIPLSource" styleClass="outputText" value="#{msg['Settings.IPLSource']}" rendered="#{partitionGeneralPropertiesBean.isIBMi}"/>						
						<h:outputText id="currentIPLSource" value="#{partitionGeneralPropertiesBean.iplSourceAsLabel}" rendered="#{partitionGeneralPropertiesBean.isIBMi}"/>
						

						<h:outputText id="labelKeylockPos" styleClass="outputText" value="#{msg['Settings.KeylockPosition']}" />
						<h:outputText id="selectKeyLockPosMenu" value="#{partitionGeneralPropertiesBean.keyLockPositionAsLabel}" />

						<h:outputText id="labelPartitionWLGParticipant" styleClass="outputText" value="#{msg['Settings.PartitionWorkloadGroupParticipant']}" />
						<h:outputText id="workloadGroupParticipantLabel" value="#{partitionGeneralPropertiesBean.workloadGroupParticipantAsLabel}" />
							

						<h:outputText id="labelAutoStart" styleClass="outputText" value="#{msg['Settings.AutoStart']}" />
						<h:outputText id="cbAutoStart" value="#{partitionGeneralPropertiesBean.autoStartAsLabel}" />

						<h:outputText id="labelPartitionWorkloadGroup" styleClass="outputText"	value="#{msg['Settings.PartitionWorkloadGroup']}" />
						<h:outputText id="cbPartitionWorkloadGroupName" value="#{partitionGeneralPropertiesBean.workLoadGrpId}" />
							
						
						<h:outputText id="labelConnectionMonitoring" styleClass="outputText" value="#{msg['Settings.ConnectionMonitoring']}" />
						<h:outputText id="cbConnectionMonitoring" value="#{partitionGeneralPropertiesBean.connectionMonitoringEnabledAsLabel}"/>

						<h:outputText id="labelRedErrPath" styleClass="outputText"  value="#{msg['Settings.RedundantErrorPathReporting']}" />
						<h:outputText id="cbRedErrPath" value="#{partitionGeneralPropertiesBean.redundantErrPathReportingEnabledAsLabel}" />

						<h:outputText id="labelTimeReference" styleClass="outputText"  value="#{msg['Settings.TimeReference']}"/>
						<h:outputText id="cbTimeReference" value="#{partitionGeneralPropertiesBean.timeReferenceAsLabel}" />

						<h:outputText id="labelPowerControllingPartitions" styleClass="outputText" value="#{msg['Settings.PowerControllingPartitions']}"/>
						<h:outputText id="textPowerControllingPartitions" styleClass="outputText" value="#{partitionGeneralPropertiesBean.powerControllingPartitions}" />
						
						<h:outputText id="labelHibernatable" styleClass="outputText"
								value="#{msg['Settings.hibernatable']}" rendered="#{partitionGeneralPropertiesBean.isCecHibernateCapable}"></h:outputText>
						<h:outputText id="textHibernatable" styleClass="outputText" value="#{partitionGeneralPropertiesBean.hibernatable}" rendered="#{partitionGeneralPropertiesBean.isCecHibernateCapable}"/>

					</h:panelGrid>

				</hx:panelSection>
				
				<hx:panelBox>
				<hx:commandExButton id="editbutton" value="#{msg['ProcessorProperties.Edit']}" action="#{vsmtaskNavigation.editVirtualServerGeneralProperties}"  disabled = "#{!partitionGeneralPropertiesBean.hasUserEditPermission}">
				</hx:commandExButton>
				</hx:panelBox>

				
			</h:panelGrid>
