<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="removePhysicalAdapersConfirmationDialog">
	<f:loadBundle var="msg"
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" />

	<h:outputText id="removePhysicalAdapterConfirmatoinText"
		value="#{msg['IOAdapters.Remove.Confirm']}"/>
	<h:panelGrid columns="2" cellspacing="1">

		<hx:commandExButton value="#{msg['CommandButton.OK']}"
			action="#{RemovePhysicalAdapterTask.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
		</hx:commandExButton>

		<hx:commandExButton value="#{msg['CommandButton.Cancel']}"
			action="#{RemovePhysicalAdapterTask.cancel}">
			<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
		</hx:commandExButton>

	</h:panelGrid>

</f:subview>