<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="AddStorageAdaptersDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
<usmc:form id="form_AddVirtualStorage" includeErrorMessageWidget="false">

<h:panelGrid  id="panelGrid_SlotNotEmpty" rendered="#{addVirtualStorageBean.showErrorMsg}" width="100%" styleClass="panelGrid">
	<h:outputText id="SlotUnavailableErrorMessageText" value="#{msg['addStorageAdapters.MAX_SLOT_NUM_REACHED']}"></h:outputText>
	<h:outputText  value="Blank" rendered="false"></h:outputText>
</h:panelGrid >

<h:panelGrid  id="panelGrid_ADDStorageAdapters" rendered="#{addVirtualStorageBean.slotAvailable}" width="100%" styleClass="panelGrid">
	<h:outputText id="ADDStorageAdaptersOverviewText" value="#{msg['addStorageAdapters.overviewMessage']}"></h:outputText>
	<h:outputText  value="Blank" rendered="false"></h:outputText>
</h:panelGrid >

<h:panelGrid id="panelGrid_AddVAdapters" rendered="#{addVirtualStorageBean.slotAvailable}" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">

    <h:panelGrid id="adapterIDssPanelGroupIdss">
    <usmc:outputLabel id="adapterID_label" styleClass="outputText" value="#{msg['addStorageAdapters.adapterID']}" for="AdapterID_inputText"></usmc:outputLabel>
	<!--  h:outputText id="adapterID_label" styleClass="outputText" value="#{msg['addStorageAdapters.adapterID']} -->
	<h:inputText id="AdapterID_inputText" maxlength="7" required="true" value="#{addVirtualStorageBean.adapterId}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['addStorageAdapters.adapterID']}" />
	</h:inputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	</h:panelGrid>
	
	
	 <h:panelGrid id="adapterTypesPanelGroupIdss">						
	<h:outputText id="labelAdapterType" styleClass="outputText" value="#{msg['addStorageAdapters.adapterType']}"/>
	<h:selectOneMenu id="selectadapterTypeMenu" styleClass="selectOneMenu" value="#{addVirtualStorageBean.selectedAdapterType}" immediate="true">
	<f:valueChangeListener type="com.ibm.dpsm.console.vsm.manageserver.task.storagedev.advancestorage.model.AddVirtualStorageBean"/>
		<f:selectItems id="selectItemId" value="#{addVirtualStorageBean.adapterTypeList}"/>
	</h:selectOneMenu>
	</h:panelGrid>
	
	
	 <h:panelGrid id="labelConnectingPartitionPanelGroup">		
	<h:outputText value="Blank" rendered="false"/>					
	<h:outputText id="labelConnectingPartition_1" style="font-weight:bold" styleClass="outputText" value="#{msg['addStorageAdapters.connectingPartitionInfo']}"></h:outputText>
	<h:outputText value="Blank" rendered="false"/>
	
    </h:panelGrid>
	
	<h:panelGrid id="TargetSelectOneMenu_Panel">
	
	<h:outputText id="labelConnectingPartition_v1" styleClass="outputText" value="#{msg['addStorageAdapters.connectionPartition']}" />
	<h:outputText value="Blank" rendered="false"/>
	
	
	<h:panelGrid id="ConnectingVirtualServerPanelGrid"  columns="3">
	<h:selectOneMenu  id="connectingPartitionMenu"  
				value="#{addVirtualStorageBean.connectingPartitionName}" immediate="true">
		<f:valueChangeListener type="com.ibm.dpsm.console.vsm.manageserver.task.storagedev.advancestorage.AddVirtualStorageTask"/>
		<f:selectItems id="connectingPartitionMenuIdss" value="#{addVirtualStorageBean.connectingPartitionList}"/>
	</h:selectOneMenu>
	<usmc:outputLabel id="customoutput1" styleClass="outputText" for="custominput1" value="#{msg['addStorageAdapters.customId']}" rendered="#{addVirtualStorageBean.customIdRendered}" ></usmc:outputLabel>
	<h:inputText id="custominput1" value="#{addVirtualStorageBean.customId}" maxlength="5" required="true" rendered="#{addVirtualStorageBean.customIdRendered}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['addStorageAdapters.customId']}" />
	</h:inputText>
	</h:panelGrid>
	</h:panelGrid>
	<hx:behavior event="onchange" target="connectingPartitionMenu" behaviorAction="get;stop" targetAction="panelGrid_AddVAdapters"/>
	<hx:behavior event="onchange" target="selectadapterTypeMenu"
					behaviorAction="get;stop" targetAction="panelGrid_AddVAdapters"/>
	<hx:ajaxRefreshSubmit />
	<h:panelGrid id="ConnectingadapterIDPanelGroup">
	
	<usmc:outputLabel id="ConnectingadapterID" styleClass="outputText" value="#{msg['addStorageAdapters.ConnectingadapterID']}" for="input_ConnectingAdapterID_change"></usmc:outputLabel>					
	<h:outputText value="Blank" rendered="false"></h:outputText>
	<h:inputText id="input_ConnectingAdapterID_change" maxlength="7" required="true" value="#{addVirtualStorageBean.connectingAdapterID}">
	<f:converter converterId="UsmiInteger" />
				<f:attribute name="fieldName"
						value="#{msg['addStorageAdapters.ConnectingadapterID']}" />
	</h:inputText>
	</h:panelGrid>	
<hx:behaviorKeyPress key="Enter" id="behaviorKeyPressAddStorageAdapter" behaviorAction="stop" targetAction="" target="panelGrid_AddVAdapters"></hx:behaviorKeyPress>	
						
</h:panelGrid>


<h:panelGrid id="panelGrid_CommandButtons" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{ADDVIRTUALSTORAGE.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
			<hx:commandExButton id="cancel" value="#{msg['commandButton.cancel']}" action="#{ADDVIRTUALSTORAGE.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>

</usmc:form>		
</f:subview>
