<!--  Expand/collapse section for Virtual Fiber Channel -->
				<hx:panelSection initClosed="false" title="VirtualFiberChannel" id="panel_Virtual_Fiber_Channel" styleClass="panelSectionDPSMWide">
					<f:facet name="closed">
						<hx:jspPanel id="jspPanel7">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption7" value="#{msg['vsmVirtFC.VirtualFiberChannel']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="jspPanel8">
							<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
							<h:outputText id="caption8" styleClass="outputText"
								value="#{msg['vsmVirtFC.VirtualFiberChannel']}"></h:outputText>
						</hx:jspPanel>
					</f:facet>
					
					<h:panelGrid rendered = "#{deviceAttrBean.deviceType == 'client'}" id="panelSectionVirtualFiberChannel" columns="2" width="100%" styleClass="panelGrid" cellspacing="3">
						<usmc:navigatorWidget  id="VirtualFibreChannelWidget"
											   modelID="USMI" homeID="FC_CONFIGURATION"
											   selectionPolicy="multiple"
											   rows="5"
						                       includeSearch="false" nonNavigationActionsAllowed="false" 
						                       includeEmptyRows="false" includeSort="false" 
						                       includeNavigationalHistory="false"
						                       includeFilter="false"> 
					    </usmc:navigatorWidget>
					</h:panelGrid>
					
					<h:panelGrid rendered = "#{deviceAttrBean.deviceType == 'server'}" id="panelServerVirtualFiberChannel" columns="2" width="100%" styleClass="panelGrid" cellspacing="3">
						<usmc:navigatorWidget  id="VirtualServerFibreChannelWidget"
											   modelID="USMI" homeID="FC_SERVER_CONFIGURATION"
											   selectionPolicy="multiple"
											   rows="5"
						                       includeSearch="false" nonNavigationActionsAllowed="false" 
						                       includeEmptyRows="false" includeSort="false" 
						                       includeNavigationalHistory="false"
						                       includeFilter="false"> 
					    </usmc:navigatorWidget>
					</h:panelGrid>
				</hx:panelSection>