<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%><%-- tpl:metadata --%>
	<%-- jsf:pagecode language="java" location="/src/pagecode/jsps/sharedprocessorpool/ModifyShareProcAttribute1.java" --%><%-- /jsf:pagecode --%>
<%-- /tpl:metadata --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />

<f:subview id="ViewFCConnections_subview">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />
	<usmc:form id="form_ViewFCConnections">
		<h:panelGrid id="ViewFCConnectionHeaderPanel">
			<hx:panelBox id="ViewFCCOnnectionHeader">
				<h:outputText id="ViewFCConnection_HeaderNote" value="#{msg['vsmViewFCConnection.OverviewMessage']}" styleClass="outputText"></h:outputText>
			</hx:panelBox>
		</h:panelGrid>
				
		<h:panelGrid id="Panel_Device" columns="2">
			<h:outputText id="ViewFCConnection_DeviceText" value="#{msg['vsmViewFCConnection.Device']}" styleClass="outputText"></h:outputText>
			<h:outputText id="ViewFCConnection_DevicValue" value="#{ViewFCConnection.device}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="Panel_PhysicalLocation" columns="2">
			<h:outputText id="ViewFCConnection_PhysLocText" value="#{msg['vsmViewFCConnection.PhysicalLocation']}" styleClass="outputText"></h:outputText>
			<h:outputText id="ViewFCConnection_PhysLocValue" value="#{ViewFCConnection.physicalLocation}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="Panel_AvailableConnections" columns="2">
			<h:outputText id="ViewFCConnection_AvailableConnectionsText" value="#{msg['vsmViewFCConnection.AvailableConnections']}" styleClass="outputText"></h:outputText>
			<h:outputText id="ViewFCConnection_AvailableConnectionsValue" value="#{ViewFCConnection.availableConnections}" styleClass="outputText"></h:outputText>
		</h:panelGrid>
		
		<h:panelGrid id="panel_ViewFCConnection" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
			<usmc:navigatorWidget  id="ViewServerFibreChannelWidget"
								   modelID="USMI" homeID="FC_VIEW_CONFIGURATION"
								   selectionPolicy="none" includeToolbar="false"
						           nonNavigationActionsAllowed="false" 
						           includeEmptyRows="false" 
						           includeNavigationalHistory="false"
						           includeFooter="false">
			</usmc:navigatorWidget>
		</h:panelGrid>
		
		<h:panelGrid id="ViewVirtualFCButtonsGrid">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{VIEWFCCONNECTIONS.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGrid>
	</usmc:form>
</f:subview>