<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="ClientVDPropDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
	<h:form id="form_ViewClientVDProp">
		<h:panelGrid id="panelGrid_ViewVClientVDProp" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
			<h:outputText id="clientVDname_label" styleClass="outputText" value="#{msg['clientVDProp.name']}"></h:outputText>
			<h:outputText id="clientVDname_outputText1" value="#{clientVdiskPropertyBean.name}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
		
		
			<h:outputText id="size_label" styleClass="outputText" value="#{msg['clientVDProp.size']}"></h:outputText>
			<h:outputText id="size_outputText" value="#{clientVdiskPropertyBean.size}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
		
			<h:outputText id="storagePool_label" styleClass="outputText" value="#{msg['clientVDProp.storagePool']}"></h:outputText>
			<h:outputText id="storagePool_outputText" value="#{clientVdiskPropertyBean.storagePool}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
			<h:outputText id="serverName_label" styleClass="outputText" value="#{msg['clientVDProp.serverName']}"></h:outputText>
			<h:outputText id="serverName_outputText" value="#{clientVdiskPropertyBean.serverName}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
				</h:panelGrid>
			
			<h:panelGrid id="panelGrid_ViewVSCSI_label_vd" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
			<h:outputText id="VSCSI_label" style="font-weight:bold" styleClass="outputText" value="#{msg['clientVDProp.VSCSINote']}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			</h:panelGrid>
			
			<h:panelGrid id="panelGrid_ViewVSCSI_server_client_vd" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
			
			<h:outputText id="clientAdapter_label" styleClass="outputText" value="#{msg['clientVDProp.clientAdapter']}"></h:outputText>
			<h:outputText id="clientAdapter_outputText" value="#{clientVdiskPropertyBean.clientAdapter}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
			<h:outputText  id="serverAdapter_label" styleClass="outputText" value="#{msg['clientVDProp.serverAdapter']}"></h:outputText>
			<h:outputText id="serverAdapter_outputText" value="#{clientVdiskPropertyBean.serverAdapter}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
		</h:panelGrid>
		<h:panelGrid id="panelGrid_vios_vdclient_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{CLIENTVIRTUALDISKPROPERTYTASK.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
		</h:panelGrid>
		
	</h:form>
</f:subview>