<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />

<h:panelGroup>
	<h:inputTextarea disabled="true" value="#{summaryPage.summary}"
		style="width:98%; border:solid 1px black; color:black;" rows="15" />
</h:panelGroup>
<h:panelGroup id="summaryPanel" rendered="#{summaryPage.showSavePanel}">
	<h:commandButton id="saveSummary" type="button" onclick="saveSummary('saveSummaryLink'); return false;"
		value="#{msg['Save.Button']}" styleClass="commandExButton"/>
	<h:outputLink id="saveSummaryLink" value="#{summaryPage.saveURL}" style="display: none;"> </h:outputLink>
</h:panelGroup>

</hx:panelBox>