<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="manageNetworkPanel" width="100%"
	cellpadding="0" cellspacing="0">
<h:outputText value="<p><p>" escape="false"/>
	<usmc:messageBox id="messageBoxNetworkPanel"
		messageCollection="#{manageNetworkBean.messages}"
		styleClass="taskInfo" immediate="true" closeLinkVisible="false"
		closeListener="#{manageNetworkBean.handleClose}" />

	<hx:ajaxRefreshSubmit id="manageNetworkpanelRefresh" />

	<hx:panelSection id="virtualEthernetPanelSection"
		styleClass="panelSectionDPSMWide" initClosed="false">
		<f:facet name="closed">
			<hx:jspPanel id="id5">
				<hx:graphicImageEx id="id6" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext1" value="#{msg.LBL_VIRETH_HEADER}" title="#{msg.LBL_VIRETH_HEADER}"/>
			</hx:jspPanel>
		</f:facet>
		<f:facet name="opened">
			<hx:jspPanel id="id3">
				<hx:graphicImageEx id="id4" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext2" value="#{msg.LBL_VIRETH_HEADER}" title="#{msg.LBL_VIRETH_HEADER}"/>
			</hx:jspPanel>
		</f:facet>
			<hx:panelDialog id="ethernetAdapterPanelDialog" rendered="false">						
				</hx:panelDialog>					
			
			<hx:ajaxRefreshSubmit id="vethsortRefresh"/>
			<h:panelGrid id="vethprogessSesction" rendered="#{!manageVirAdaptersUIBean.ethernetPageRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="spinImageEthernet" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="opttextethernet"></h:outputText>
			<h:outputText value="#{manageVirAdaptersUIBean.waitingUsrText}" escape="false" id="optxtethernet"/>
		</h:panelGrid>
			<h:panelGrid id="vethdispsection" width="100%" cellpadding="0" cellspacing="0" rendered="#{manageVirAdaptersUIBean.ethernetPageRender}">
			
			<h:panelGrid columns="3" id="availadapspanel">
					<usmc:outputLabel id="availslotseth"
						value="#{msg.LBL_AVAILVIR_ADAP}" for="availVirtualslotseth" />
					<h:outputText value="&nbsp;&nbsp;" escape="false" />
					<h:outputText id="availVirtualslotseth"
						value="#{manageVirAdaptersUIBean.availVirSlots}" />
				</h:panelGrid>
			<h:outputText value="<br>" escape="false"/>	

		<hx:commandExButton value="" action="#{manageVirAdaptersUIBean.sortVEthTable}" style="display : none" id="vethsortbutton">
							<hx:behavior event="onclick" targetAction="vethernettablewrapperPanel" behaviorAction="get;stop" target="vethsortbutton"/>	
			</hx:commandExButton>
			
			<h:inputText value="#{manageVirAdaptersUIBean.sortColumnId}" style="display : none" id="vethSortColumn"/>		
		
		<h:panelGrid id="virtualEthernetPanel" border="0" cellpadding="0" cellspacing="0" width="90%">
		
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTable" 
		columns="7" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageVirAdaptersUIBean.renderEthernetTable && manageServerUIBean.permission}">
		
		<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
						
		<hx:commandExButton styleClass="wclTableButton" id="addadapterid"
			action="#{manageVirAdaptersUIBean.createEthernetAdapter}" 
			value="#{msg.LBL_ADD_ADAPTER}" disabled="#{!(manageVirAdaptersUIBean.virtualSlotsAvail && manageServerUIBean.vserverActionEnabled)}">
			<hx:behavior event="onclick" targetAction="virtualEthernetPanelSection" behaviorAction="get;stop"/>	
			</hx:commandExButton>
				
		<hx:commandExButton styleClass="wclTableButton" id="editadapterid"
			action="#{manageVirAdaptersUIBean.editEthernetAdapter}" 
			value="#{msg.LBL_EDIT_ADAPTER}" disabled="#{!(manageServerUIBean.vserverActionEnabled)}" rendered="#{host_config.vsnCapable}">
			<hx:behavior event="onclick" targetAction="virtualEthernetPanelSection" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
		<hx:commandExButton styleClass="wclTableButton" id="deleteadapterid" 
						action="#{manageVirAdaptersUIBean.deleteEthernetAdapter}" styleClass="commandExButton" type="submit" value="#{msg.LBL_REMOVE_ADAPTER}" 
						disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
						<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>
						</hx:commandExButton>
						
		<hx:commandExButton styleClass="wclTableButton" id="propsadapterid"
						action="#{manageVirAdaptersUIBean.viewEthernetAdapter}" styleClass="commandExButton" type="submit" value="#{msg.LBL_VIEW_ADAPTER}">
						<hx:behavior event="onclick" targetAction="virtualEthernetPanelSection" behaviorAction="get;stop"/>
						</hx:commandExButton>				
				
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
		</h:panelGrid>
		
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTablePerm" 
		columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageVirAdaptersUIBean.renderEthernetTable && (!manageServerUIBean.permission)}">
		<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
		<hx:commandExButton styleClass="wclTableButton" id="propspermadapterid"
						action="#{manageVirAdaptersUIBean.viewEthernetAdapter}" styleClass="commandExButton" type="submit" value="#{msg.LBL_VIEW_ADAPTER}">
						<hx:behavior event="onclick" targetAction="virtualEthernetPanelSection" behaviorAction="get;stop"/>
						</hx:commandExButton>				
				
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>	
		</h:panelGrid>
		
				<h:panelGrid id="vethernettablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{manageVirAdaptersUIBean.renderEthernetTable}">		
		
		<hx:dataTableEx id="ethernetTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageVirAdaptersUIBean.vethernetDetails}"
					var="adapterslist" width="100%" scrollSize="#{manageVirAdaptersUIBean.vethTblScrollSize}">
					
					<hx:columnEx id="eth_adaptersSelectcolumn" style="text-align: center;width: 15%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="eth_adaptersSelectlabel" for="eth_adapters_select"
								value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>
			</f:facet>
			<h:selectBooleanCheckbox rendered="#{manageServerUIBean.permission}"
				value="#{adapterslist.adapterIdString.selected}"
				onclick="handleTableRowTaskSelection('ManageNetworkPanel:ethernetTable',true,true,
						'ManageNetworkPanel:editadapterid','ManageNetworkPanel:deleteadapterid','ManageNetworkPanel:propsadapterid',null);" />
			<h:selectBooleanCheckbox rendered="#{!manageServerUIBean.permission}"
				value="#{adapterslist.adapterIdString.selected}"
				onclick="handleTableRowTaskSelection('ManageNetworkPanel:ethernetTable',true,true,
						null,null,'ManageNetworkPanel:propspermadapterid',null);" />
			
			</hx:columnEx>

			<hx:columnEx id="ethAdapNameCol">
				<f:facet name="header">

					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">

						<usmc:outputLabel styleClass="outputLabel"
							id="eth_adaptersidlabel" for="eth_adaptersid_id"
							value="#{msg.LBL_ADAPTER_ID}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right"
							onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethAdapNameCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>

				</f:facet>

				<vsmfaces:outputText uiproperty="#{adapterslist.adapterIdString}" />
			</hx:columnEx>

			<hx:columnEx id="eth_adapterscolumn">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="eth_adapterslabel"
							for="eth_adapters_port" value="#{msg.LBL_PVID}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right"
							onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethpvidCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>
				</f:facet>
				<h:outputText value="#{adapterslist.pvidString}" />
			</hx:columnEx>

			<hx:columnEx id="ethBridgeCol"
				rendered="#{manageServerUIBean.viosEnv}">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptersbridgelabel"
							styleClass="outputLabel" for="eth_adaptersbridgeid"
							value="#{msg.LBL_BRIDGED}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right"
							onclick="sortCol(
									'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethBridgeCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText uiproperty="#{adapterslist.bridged}" />
			</hx:columnEx>

			<hx:columnEx id="ethSharedAdapCol"
				rendered="#{manageServerUIBean.viosEnv}">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adapterssharedAdaplabel"
							styleClass="outputLabel" for="eth_adapterssharedadap"
							value="#{msg.LBL_SHAREDPHY_ADAP}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right"
							onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethSharedAdapCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>
				</f:facet>
				<h:outputText styleClass="outputText"
					value="#{adapterslist.sharedPhyAdapterString}"
					id="eth_adapterssharedadap" />
			</hx:columnEx>

			<hx:columnEx id="ethPriorityCol"
				rendered="#{manageServerUIBean.viosEnv}">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptersprioritylabel"
							styleClass="outputLabel" for="eth_adapterspriorityid"
							value="#{msg.LBL_PRIORITY}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right"
							onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethPriorityCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText uiproperty="#{adapterslist.priority}" />
			</hx:columnEx>

			<hx:columnEx id="ethvswitchCol">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptersvswitchlabel"
							styleClass="outputLabel" for="eth_adaptersvswitchid"
							value="#{msg.LBL_ADDVLAN}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right"
							onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethsortbutton','ethvswitchCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:vethSortColumn');" />
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText uiproperty="#{adapterslist.additionalVLANS}" />
			</hx:columnEx>

			</hx:dataTableEx>

		</h:panelGrid>

		<exfaces:script type="text/javascript"
			value="alignCol('manageServer_form:ManageServerVTabView:ManageNetworkPanel:ethernetTable');"
			rendered="#{manageVirAdaptersUIBean.ethTblScrollable}" />

		<h:outputText value="#{msg.LBL_EMPTY_ADAPTER}"
			rendered="#{!manageVirAdaptersUIBean.renderEthernetTable}" />
		<h:outputText value="#{msg.LBL_EMPTY_ADAPTER_ADD}"
			rendered="#{!manageVirAdaptersUIBean.renderEthernetTable && manageServerUIBean.permission}" />
		<hx:commandExButton styleClass="buttonRegular" id="createadapterid"
			action="#{manageVirAdaptersUIBean.createEthernetAdapter}"
			value="#{msg.LBL_CREATE_ADAPTER}"
			rendered="#{!manageVirAdaptersUIBean.renderEthernetTable && manageServerUIBean.permission}" disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
			<hx:behavior event="onclick"
				targetAction="virtualEthernetPanelSection" behaviorAction="get;stop" />
		</hx:commandExButton>

		<exfaces:script
			rendered="#{manageVirAdaptersUIBean.renderEthernetTable && manageServerUIBean.permission}"
			type="text/javascript"
			value="handleTableRowTaskSelection('ManageNetworkPanel:ethernetTable',true,true,
						'ManageNetworkPanel:editadapterid','ManageNetworkPanel:deleteadapterid','ManageNetworkPanel:propsadapterid',null);" />
		<exfaces:script
			rendered="#{manageVirAdaptersUIBean.renderEthernetTable && !manageServerUIBean.permission}"
			type="text/javascript"
			value="handleTableRowTaskSelection('ManageNetworkPanel:ethernetTable',true,true,
						null,null,'ManageNetworkPanel:propspermadapterid',null);" />

		</h:panelGrid>

		</h:panelGrid>
	</hx:panelSection>
	<h:outputText value="<br>" escape="false"/>
	<h:panelGrid id="heapanelgrid"
		rendered="#{host_config.networkConfig.heaSupported}" width="100%">
		<hx:panelSection id="lheaPanelSection"
			styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="id5lhea">
					<hx:graphicImageEx id="id6lhea" align="bottom"
						value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
						border="0" hspace="0" vspace="0" />
					<h:outputText id="vtext1lhea" value="#{msg.LBL_LHEA_HEADER}" title="#{msg.LBL_LHEA_HEADER}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id3lhea">
					<hx:graphicImageEx id="id4lhea" align="bottom"
						value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
						border="0" hspace="0" vspace="0" />
					<h:outputText id="vtext2lhea" value="#{msg.LBL_LHEA_HEADER}" title="#{msg.LBL_LHEA_HEADER}"/>
				</hx:jspPanel>
			</f:facet>

			<hx:panelDialog id="lheaPanelDialog" rendered="false">
			</hx:panelDialog>

			<hx:ajaxRefreshSubmit id="lheasortRefresh" />

			<h:panelGrid id="lheaprogessSesction"
				rendered="#{!manageAdaptersUIBean.lheaPageRender}" cellpadding="0"
				cellspacing="0" columns="3">
				<hx:graphicImageEx id="spinImagelhea" value="/images/processing.gif" />
				<h:outputText value="&nbsp;" escape="false" id="opttextlhea"></h:outputText>
				<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false"
					id="optxtlhea" />
			</h:panelGrid>

			<h:panelGrid id="lheadispsection" width="100%" cellpadding="0"
				cellspacing="0" rendered="#{manageAdaptersUIBean.lheaPageRender}">

				<hx:commandExButton value=""
					action="#{manageAdaptersUIBean.sortLHEATable}"
					style="display : none" id="lheasortbutton">
					<hx:behavior event="onclick" targetAction="lheatablewrapperPanel"
						behaviorAction="get;stop" target="lheasortbutton" />
				</hx:commandExButton>

				<h:inputText value="#{manageAdaptersUIBean.sortColumnId}"
					style="display : none" id="lheaSortColumn" />

				<h:panelGrid id="lheaPanel" border="0" cellpadding="0"
					cellspacing="0" width="90%">

					<h:panelGrid
						columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbarBR,wclDataTableToolbarR"
						id="lheatoolbarTable" columns="5" border="0" cellpadding="0"
						cellspacing="0" width="100%"
						rendered="#{manageAdaptersUIBean.renderLHEATable && manageServerUIBean.permission}">

						<hx:graphicImageEx value="/images/wtable_spacer.gif"
							style="width: 15px" />

						<hx:commandExButton styleClass="wclTableButton" id="lheaaddid"
							action="#{manageAdaptersUIBean.addLHEAPort}"
							value="#{msg.LBL_ADD_ADAPTER}" 
							disabled="#{!(manageAdaptersUIBean.availLHEADevices && manageServerUIBean.vserverActionEnabled)}">
							<hx:behavior event="onclick" targetAction="lheaPanelSection"
								behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:commandExButton id="lheadeleteid"
							action="#{manageAdaptersUIBean.deleteLHEAPort}"
							styleClass="commandExButton" type="submit"
							value="#{msg.LBL_REMOVE_ADAPTER}"  
							disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
							<hx:behavior event="onclick" targetAction="manageServerPanel"
								behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
					</h:panelGrid>


					<h:panelGrid id="lheatablewrapperPanel" width="100%"
						cellspacing="0" cellpadding="0" border="0"
						styleClass="newFaceDataTableBorder"
						rendered="#{manageAdaptersUIBean.renderLHEATable}">

						<hx:dataTableEx id="lheaTable" border="0" cellpadding="10"
							cellspacing="0" columnClasses="columnClass1"
							headerClass="dataTableColumnHeader" footerClass="footerClass"
							rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
							value="#{manageAdaptersUIBean.lheaDetails}" var="lheaportlist"
							width="100%"
							scrollSize="#{manageAdaptersUIBean.lheaTblScrollSize}">

							<hx:columnEx id="lheaSelectcolumn" rendered="#{manageServerUIBean.permission}"
								style="text-align: center;width: 15%">
								<f:facet name="header">
									<h:panelGrid width="100%" columnClasses="sortHeaderText">
										<usmc:outputLabel styleClass="outputLabel"
											id="lheaSelectlabel" for="lheaselect"
											value="#{msg.LBL_TBL_SELECT}" />
									</h:panelGrid>
								</f:facet>
								<h:selectBooleanCheckbox
									value="#{lheaportlist.physicalLocation.selected}"
									onclick="handleTableRowTaskSelection('ManageNetworkPanel:lheaTable',true,true,
						null,'ManageNetworkPanel:lheadeleteid',null,null);" />
							</hx:columnEx>

							<hx:columnEx id="lheaphyLocCol">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">

										<usmc:outputLabel styleClass="outputLabel"
											id="lheaphylocLabel" for="lheaphylocid"
											value="#{msg.LBL_PHYLOC_CODE}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheasortbutton','lheaphylocCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheaSortColumn');" />
									</h:panelGrid>

								</f:facet>

								<vsmfaces:outputText
									uiproperty="#{lheaportlist.physicalLocation}" />
							</hx:columnEx>

							<hx:columnEx id="lhealogicalportid">
								<f:facet name="header">
									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel styleClass="outputLabel"
											id="lhealogicalPortlabel" for="lhealogialport"
											value="#{msg.LBL_LOGICALPORT}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheasortbutton','lheaportCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheaSortColumn');" />
									</h:panelGrid>
								</f:facet>
								<h:outputText value="#{lheaportlist.logicalPortId}" />
							</hx:columnEx>

							<hx:columnEx id="lheaportgrpCol">
								<f:facet name="header">
									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="lheaportgrplbl" styleClass="outputLabel"
											for="lheaportgp" value="#{msg.LBL_PORTGRP}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
									'manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheasortbutton','lheaportgrpCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheaSortColumn');" />
									</h:panelGrid>
								</f:facet>
								<h:outputText value="#{lheaportlist.portGroup}" />
							</hx:columnEx>

							<hx:columnEx id="lheaallowedVLANCol">
								<f:facet name="header">
									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="lheaallowedVLANlabel"
											styleClass="outputLabel" for="lheaallowedVLAN"
											value="#{msg.LBL_ALLOWEDVLAN}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheasortbutton','lheavlanCol','manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheaSortColumn');" />
									</h:panelGrid>
								</f:facet>
								<h:outputText styleClass="outputText"
									value="#{lheaportlist.allowedVLAN}" />
							</hx:columnEx>

						</hx:dataTableEx>

					</h:panelGrid>

					<exfaces:script type="text/javascript"
						value="alignCol('manageServer_form:ManageServerVTabView:ManageNetworkPanel:lheaTable');"
						rendered="#{manageAdaptersUIBean.lheaTblScrollable}"
						id="lheascript1" />

					<h:outputText value="#{manageAdaptersUIBean.lheaEmptyString}"
						rendered="#{!manageAdaptersUIBean.renderLHEATable}" />
					<hx:commandExButton styleClass="buttonRegular" id="lheaAddapaterId"
						action="#{manageAdaptersUIBean.addLHEAPort}"
						value="#{msg.LBL_ADD_ADAPTER}"
						rendered="#{!manageAdaptersUIBean.renderLHEATable && manageAdaptersUIBean.availLHEADevices && manageServerUIBean.permission}" disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
						<hx:behavior event="onclick" targetAction="lheaPanelSection"
							behaviorAction="get;stop" />
					</hx:commandExButton>

					<exfaces:script rendered="#{manageAdaptersUIBean.renderLHEATable}"
						type="text/javascript"
						value="handleTableRowTaskSelection('ManageNetworkPanel:lheaTable',true,true,
						null,'ManageNetworkPanel:lheadeleteid',null,null);"
						id="lheascript2" />

				</h:panelGrid>

			</h:panelGrid>

		</hx:panelSection>

	</h:panelGrid>
</hx:panelBox>

