<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="managesettingsPanel" width="100%" cellpadding="0" cellspacing="0">
<h:outputText value="<p></p>" escape="false"/>
<usmc:messageBox id="messageBoxsettingsPanel"
                messageCollection="#{manageSettingsBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false"
                closeListener="#{manageSettingsBean.handleClose}"
                responseListener="#{manageSettingsBean.handleResponse}"
                />
 
 <hx:ajaxRefreshSubmit id="managesettingspanelRefresh"/>
 
<hx:panelSection id="overivewPanelSection" styleClass="panelSectionDPSMWide"
			initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="overviewid5">
				<hx:graphicImageEx id="overviewid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="overviewtext1" value="#{msg.LBL_OVERVIEW_TITLE}" title="#{msg.LBL_OVERVIEW_TITLE}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="overviewid3">
				<hx:graphicImageEx id="overviewid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="overviewtext2" value="#{msg.LBL_OVERVIEW_TITLE}" title="#{msg.LBL_OVERVIEW_TITLE}"/>	
				</hx:jspPanel>
			</f:facet>
			
			<h:panelGrid id="overviewpanelprogessSesction" rendered="#{!manageServerUIBean.overviewpanelRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="overviewpanelImage" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="overviewpaneltext"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="overviewpanelwaitingtext"/>
			</h:panelGrid>
			
			<h:panelGrid id="overviewpanel" columns="3" rendered="#{manageServerUIBean.overviewpanelRender}">
			
			<vsmfaces:outputLabel id="vservernamelbl" value="#{msg.LBL_VSERVER_NAME}" uiproperty="#{manageServerUIBean.vserverUIName}"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<vsmfaces:inputText id="vservernameinputext" uiproperty="#{manageServerUIBean.vserverUIName}" labelId="vservernamelbl" required="true" onblur="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}" maxlength="47" onkeyup="processChanges();"/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<usmc:outputLabel id="osinstalledlbl" value="#{msg.LBL_OSINSTALLED}" for="osinstalledtext"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<h:outputText id="osinstalledtext" value="#{manageServerUIBean.vserverUIOS}"/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<usmc:outputLabel id="ipaddresslbl" value="#{msg.LBL_IPADDRESS}" for="ipaddresstext"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<h:outputText id="ipaddresstext" value="#{manageServerUIBean.vserverUIIPAdress}"/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<usmc:outputLabel id="processorlbl" value="#{msg.LBL_PROCESSORS}" for="processorsharedovertext"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<h:panelGrid cellpadding="0" cellspacing="0">
				<h:outputText id="processorsharedovertext" value="#{vs_curr_config.procConfig.assignedProcessors}" rendered="#{!manageProcessorUIBean.shared}"/>
				<h:outputText id="procdedovertext" value="#{vs_curr_config.procConfig.assigendProcUnits}" rendered="#{manageProcessorUIBean.shared}"/>
			</h:panelGrid>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<usmc:outputLabel id="memorylbl" value="#{msg.LBL_MEMORY}" for="memoryovrtext"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<h:panelGrid columns="3" cellpadding="0" cellspacing="0">
			<h:outputText id="memoryovrtext" value="#{manageMemoryUIBean.assignedOverViewMem}"/>
			<h:outputText value="&nbsp;" escape="false"/>
			<hx:outputLinkEx id="overviewunitlink" style="text-decoration: none;" onclick="changeMemUnit();">
				<h:outputText value="#{msg.LBL_GB}" rendered="#{manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_GBTO_MB}"/>
				<h:outputText value="#{msg.LBL_MB}" rendered="#{!manageMemoryUIBean.memoryGBMode}" title="#{msg.LBL_MBTO_GB}"/>
			</hx:outputLinkEx>
			</h:panelGrid>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<h:outputText value=""/>
			<h:outputText value=""/>
			<h:outputText value=""/>
			
			<usmc:outputLabel id="vlanlbl" value="#{msg.LBL_VLAN}" for="vlantext" rendered="false"/>
			<h:outputText value="&nbsp;" escape="false" rendered="false"/>
			<h:outputText id="vlantext" value="Not Available" rendered="false"/>	
			
			</h:panelGrid>			
			
</hx:panelSection>

<hx:panelSection id="configPanelSection" styleClass="panelSectionDPSMWide"
			initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="configid5">
				<hx:graphicImageEx id="Configid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="configtext1" value="#{msg.LBL_CONFIGURATION_TITLE}" title="#{msg.LBL_CONFIGURATION_TITLE}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="configid3">
				<hx:graphicImageEx id="configid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="configtext2" value="#{msg.LBL_CONFIGURATION_TITLE}" title="#{msg.LBL_CONFIGURATION_TITLE}"/>	
				</hx:jspPanel>
			</f:facet>
			
			<h:panelGrid id="configpanelprogessSesction" rendered="#{!manageServerUIBean.generalpanelRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="configpanelImage" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="configpaneltext"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="configpanelwaitingtext"/>
			</h:panelGrid>
			
			<h:panelGrid id="configmaindisplayPanel" width="100%" rendered="#{manageServerUIBean.generalpanelRender}">
			<h:panelGrid id="generalconfigpanel" width="100%" columns="2" columnClasses="generalCol1,generalCol2">
			
			<h:panelGrid id="generalconfigpanelleftcol" columns="3">
				<vsmfaces:outputLabel id="maxVirtualadapters_id"
						value="#{msg.LBL_MAXVIR_ADAP}" for="input_maxVirtualadapters_id" uiproperty="#{manageVirAdaptersUIBean.maxVirtualSlots}"/>
					<h:outputText value="&nbsp;&nbsp;" escape="false" />
					<vsmfaces:inputText id="input_maxVirtualadapters_id"
						uiproperty="#{manageVirAdaptersUIBean.maxVirtualSlots}"
						style="width: 100" maxlength="9" labelId="maxVirtualadapters_id" onblur="processChanges();" required="true" dynamic="false" maxlength="9" onkeyup="processChanges();"/>
						
				<vsmfaces:outputLabel id="msplabel" value="#{msg.LBL_MSP}" uiproperty="#{manageServerUIBean.mspcapbility}" rendered="#{manageServerUIBean.viosEnv && host_config.activeVServerMigEnabled}"/>
				<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{manageServerUIBean.viosEnv && host_config.activeVServerMigEnabled}"/>
				<vsmfaces:selectBooleanCheckBox id="msplistbox" uiproperty="#{manageServerUIBean.mspcapbility}" labelId="msplabel" rendered="#{manageServerUIBean.viosEnv && host_config.activeVServerMigEnabled}" onclick="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}"/>
				
				<usmc:outputLabel id="remoterestartlbl" for="remoterestart" value="#{msg.LBL_REMOTERESTART}" rendered="#{host_config.rrCapable && manageServerUIBean.rpaEnv}"/>
				<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{host_config.rrCapable && manageServerUIBean.rpaEnv}"/>
				<h:outputText id="remoterestart" value="#{manageServerUIBean.remoteRestartString}" rendered="#{host_config.rrCapable && manageServerUIBean.rpaEnv}"/>
				
				<vsmfaces:outputLabel id="suspendlabel" value="#{msg.LBL_SUSPEND_ENABLED}" uiproperty="#{manageServerUIBean.suspendEnabled}" rendered="#{host_config.suspendCapable && !manageServerUIBean.viosEnv}"/>
				<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{host_config.suspendCapable && !manageServerUIBean.viosEnv}"/>
				<vsmfaces:selectBooleanCheckBox id="suspendbox" uiproperty="#{manageServerUIBean.suspendEnabled}" labelId="suspendlabel" rendered="#{host_config.suspendCapable && !manageServerUIBean.viosEnv}" onclick="processChanges();" 
				disabled="#{!((manageServerUIBean.serverStopped || (manageServerUIBean.serverStarted && manageServerUIBean.rpaEnv)) && manageServerUIBean.permission)}"/>
				
			</h:panelGrid>
			
			<h:panelGrid id="generalconfigpanelrightcol" columns="3">
				<usmc:outputLabel value="#{msg.LBL_RESOURCE_CONFIGURED}" id="resourceconfiglbl" for="resourceconfigtext"/>
					<h:outputText value="&nbsp;&nbsp;" escape="false" />
				<h:outputText value="#{manageServerUIBean.resourceConfig}" id="resourceconfigtext"/>	
				
				<usmc:outputLabel id="attentionledlbl" for="attentionledbox" value="#{msg.LBL_ATTENTIONLED}"/>
				<h:outputText value="&nbsp;&nbsp;" escape="false" />
				<h:outputText id="attentionledbox" value="#{manageServerUIBean.attentionLED}"/>
			</h:panelGrid>
			
			</h:panelGrid>
			
			<h:outputText value="<p>" escape="false"/>
			<h:panelGrid id="bootAndLdSrcpanel" width="100%" columns="2" columnClasses="generalCol1,generalCol2">
			
				<h:panelGrid id="bootpanel" width="100%">
					<h:outputText value="#{msg.LBL_BOOT_TITLE}" id="bootTitle" styleClass="headerText"/>
					
					<h:panelGrid id="bootoptionspanel" styleClass="columnLeftAlign" columns="3">
						
						<vsmfaces:outputLabel id="bootmodelbl" for="bootmodebox" value="#{msg.LBL_BOOTMODE_TEXT}" uiproperty="#{manageServerUIBean.bootMode}" rendered="#{!manageServerUIBean.ibmiEnv}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{!manageServerUIBean.ibmiEnv}"/>
						<vsmfaces:selectOneMenu id="bootmodebox" uiproperty="#{manageServerUIBean.bootMode}" dynamic="false" labelId="bootmodelbl" rendered="#{!manageServerUIBean.ibmiEnv}" onchange="processChanges();">
							<f:selectItems id="bootmodeselectitems" value="#{manageServerUIBean.bootModeOptions}"/>
						</vsmfaces:selectOneMenu>
						
						<vsmfaces:outputLabel id="ibmibootmodelbl" for="ibmibootmodebox" value="#{msg.LBL_IBMIBOOTMODE_TEXT}" uiproperty="#{manageServerUIBean.ibmiBootMode}" rendered="#{manageServerUIBean.ibmiEnv}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{manageServerUIBean.ibmiEnv}"/>
						<vsmfaces:selectOneMenu id="ibmibootmodebox" uiproperty="#{manageServerUIBean.ibmiBootMode}" labelId="ibmibootmodelbl" rendered="#{manageServerUIBean.ibmiEnv}" onchange="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission)}">
							<f:selectItems id="ibmibootmodeselectitems" value="#{manageServerUIBean.ibmiBootModeOptions}"/>
						</vsmfaces:selectOneMenu>
						
						<vsmfaces:outputLabel id="keylocklbl" for="keylockbox" value="#{msg.LBL_KEYLOCK}" uiproperty="#{manageServerUIBean.keylock}"/>
							<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:selectOneMenu id="keylockbox" uiproperty="#{manageServerUIBean.keylock}" labelId="keylocklbl" onchange="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission)}">
							<f:selectItems id="keylockselectitems" value="#{manageServerUIBean.keylockSelectItems}"/>
						</vsmfaces:selectOneMenu>	
											
						<vsmfaces:outputLabel id="autostartlbl" for="autostartbox" value="#{msg.LBL_AUTOSTART}" uiproperty="#{manageServerUIBean.autostart}"/>
							<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:selectBooleanCheckBox id="autostartbox" uiproperty="#{manageServerUIBean.autostart}" dynamic="false" labelId="autostartlbl" onclick="processChanges();"/>
											
					</h:panelGrid>					
				</h:panelGrid>
				
				<h:panelGrid id="ldsrcmainpanel" width="100%" rendered="#{manageServerUIBean.ibmiEnv}">
				
					<h:outputText id="ldsourceText" value="#{msg.LBL_LDSRC_CONSOLE}" styleClass="headerText"/>
					<h:panelGrid id="ldsrcmainlftpanel" columns="3">
						<vsmfaces:outputLabel id="ldsourcelbl" value="#{msg.LBL_LOADSOURCE}" uiproperty="#{manageServerUIBean.loadSource}" for="ldsourcebox"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:selectOneMenu id="ldsourcebox" labelId="ldsourcelbl" uiproperty="#{manageServerUIBean.loadSource}" dynamic="false" onchange="processChanges();">
							<f:selectItems id="ldsourceitems" value="#{manageServerUIBean.loadSourceItems}"/>
						</vsmfaces:selectOneMenu>
						
						<vsmfaces:outputLabel id="altrestartlbl" value="#{msg.LBL_ALTRESTART}" uiproperty="#{manageServerUIBean.alternateRestart}" for="altrestartbox"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:selectOneMenu id="altrestartbox" labelId="altrestartlbl" uiproperty="#{manageServerUIBean.alternateRestart}" dynamic="false" onchange="processChanges();">
							<f:selectItems id="altrestartitems" value="#{manageServerUIBean.loadSourceItems}"/>
						</vsmfaces:selectOneMenu>
						
						<vsmfaces:outputLabel id="consolelbl" uiproperty="#{manageServerUIBean.console}" for="consolebox" value="#{msg.LBL_CONSOLE}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:selectOneMenu id="consolebox" labelId="consolelbl" uiproperty="#{manageServerUIBean.console}" dynamic="false" onchange="processChanges();">
							<f:selectItems id="consoleitems" value="#{manageServerUIBean.consoleItems}"/>
						</vsmfaces:selectOneMenu>
						
					</h:panelGrid>
				</h:panelGrid>
				
			</h:panelGrid>
			</h:panelGrid>
			
</hx:panelSection>

<h:outputText value="<p>" escape="false"/>

<hx:panelSection id="othersPanelSection" styleClass="panelSectionDPSMWide"
			initClosed="true">
			<f:facet name="closed">
				<hx:jspPanel id="otherid5">
				<hx:graphicImageEx id="otherid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="othertext1" value="#{msg.LBL_OTHERSETTINGS_TITLE}" title="#{msg.LBL_OTHERSETTINGS_TITLE}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="otherid3">
				<hx:graphicImageEx id="otherid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="othertext2" value="#{msg.LBL_OTHERSETTINGS_TITLE}" title="#{msg.LBL_OTHERSETTINGS_TITLE}"/>	
				</hx:jspPanel>
			</f:facet>
			
			<h:panelGrid id="otherspanelprogessSesction" rendered="#{!manageServerUIBean.otherpanelRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="otherspanelImage" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="otherspaneltext"></h:outputText>
			<h:outputText value="#{msg.LBL_INPROGRESS}" escape="false" id="otherspanelwaitingtext"/>
			</h:panelGrid>
			
			<h:panelGrid id="othermainpanel" width="100%" columns="2" columnClasses="generalCol1,generalCol2" rendered="#{manageServerUIBean.otherpanelRender}">
			
				<h:panelGrid id="serveicepanel" width="100%">
					<h:outputText value="#{msg.LBL_SERVICE_PANEL}" id="servicetitle" styleClass="headerText"/>
					
					<h:panelGrid id="servicepaneloptions" styleClass="columLeftAlign" columns="3">

						<usmc:outputLabel id="serviceVirtualServerlbl" for="serviceVirtualServerBox" value="#{msg.LBL_SERVICEVSERVER}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<h:outputText id="serviceVirtualServerBox" value="#{manageServerUIBean.serviceVServer}"/>							

						<vsmfaces:outputLabel id="rendErrorPathlbl" for="renderrorpathBox" value="#{msg.LBL_RENDUNDANT_ERRPATH}" uiproperty="#{manageServerUIBean.rendundantErrPath}" rendered="#{host_config.redundnantErrPathCapable}"/>							
						<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{host_config.redundnantErrPathCapable}"/>
						<vsmfaces:selectBooleanCheckBox id="renderrorpathBox" uiproperty="#{manageServerUIBean.rendundantErrPath}" dynamic="false" labelId="rendErrorPathlbl" rendered="#{host_config.redundnantErrPathCapable}" onclick="processChanges();"/>
						
						<vsmfaces:outputLabel id="electReportslbl" for="electReportsBox" value="#{msg.LBL_ELECTRONIC_REPORTS}" uiproperty="#{manageServerUIBean.electronicReporting}" rendered="#{host_config.electErrReportingCapable && manageServerUIBean.ibmiEnv && !manageServerUIBean.suspendedRRVServer}"/>						
						<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{host_config.electErrReportingCapable && manageServerUIBean.ibmiEnv && !manageServerUIBean.suspendedRRVServer}"/>
						<vsmfaces:selectBooleanCheckBox id="electReportsBox" uiproperty="#{manageServerUIBean.electronicReporting}" labelId="electReportslbl" onclick="processChanges();" rendered="#{host_config.electErrReportingCapable && manageServerUIBean.ibmiEnv && !manageServerUIBean.suspendedRRVServer}" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission)}"/>
						
						<vsmfaces:outputLabel id="timereflbl" for="timerefBox" value="#{msg.LBL_TIME_REFERNCE}" uiproperty="#{manageServerUIBean.timeReference}" rendered="#{host_config.activeVServerMigEnabled}"/>						
						<h:outputText value="&nbsp;&nbsp;" escape="false" rendered="#{host_config.activeVServerMigEnabled}"/>
						<vsmfaces:selectBooleanCheckBox id="timerefBox" uiproperty="#{manageServerUIBean.timeReference}" labelId="timereflbl" onclick="processChanges();" rendered="#{host_config.activeVServerMigEnabled}" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}"/>													
					</h:panelGrid>				
					
				</h:panelGrid>
				
				<h:panelGrid id="otherrightpanel" width="100%" rendered="#{!manageServerUIBean.suspendedRRVServer}">
				
				<h:panelGrid id="wlmAndCommunicationPanel" width="100%">
					<h:outputText id="wlmTitle" styleClass="headerText" value="#{msg.LBL_WLM_TITLE}"/>
					
					<h:panelGrid id="wlnpanel" columns="3" styleClass="columLeftAlign">
						<vsmfaces:outputLabel value="#{msg.LBL_VSERVER_WLM}" id="vserverwlmlbl" for="vserverwlnbox" uiproperty="#{manageServerUIBean.clusterId}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:inputText id="vserverwlnbox" uiproperty="#{manageServerUIBean.clusterId}" labelId="vserverwlmlbl" onblur="processChanges();" disabled="#{!((manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission)}" maxlength="9" onkeyup="processChanges();"/>
					</h:panelGrid>
					<h:outputText value="<p>" escape="false"/>
					
					<h:outputText value="commTitle" styleClass="headerText" value="#{msg.LBL_COMM_TITLE}" rendered="#{manageServerUIBean.ibmiEnv}"/>
					<h:panelGrid id="commpanel" columns="3" styleClass="columLeftAlign" rendered="#{manageServerUIBean.ibmiEnv}">
						
						<vsmfaces:selectBooleanCheckBox id="hslopticonnText" dynamic="false" uiproperty="#{manageServerUIBean.hsloptiConnect}" labelId="hslopticonnLbl" onclick="processChanges();"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:outputLabel id="hslopticonnLbl" for="hslopticonnText" value="#{msg.LBL_HSLOPTICONNPOOL}" uiproperty="#{manageServerUIBean.hsloptiConnect}"/>						
						
						<vsmfaces:selectBooleanCheckBox id="viropticonnText" uiproperty="#{manageServerUIBean.viroptiConnect}" dynamic="false" labelId="viropticonnLbl" onclick="processChanges();"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<vsmfaces:outputLabel id="viropticonnLbl" for="viropticonnText" value="#{msg.LBL_VIROPTICONNPOOL}" uiproperty="#{manageServerUIBean.viroptiConnect}"/>
							
					</h:panelGrid>
					
					<h:panelGrid id="powermanagementPanel" width="100%">
						<h:outputText value="#{msg.LBL_POWERCONTROL_TITLE}" id="powercontroloptionsTitle" styleClass="headerText"/>
					
					<h:panelGrid id="powercontrollingpanel" columns="3" styleClass="columLeftAlign">
						<usmc:outputLabel id="powercontrollinglbl" for="powercontrollingtext" value="#{msg.LBL_MAXPWRCONTROL_VSERVERS}"/>
						<h:outputText value="&nbsp;&nbsp;" escape="false"/>
						<h:outputText value="#{host_config.maxHostingVServers}" id="powercontrollingtext"/>					
					</h:panelGrid>
					
					<h:panelGrid id="powercontrollingVServerPanel" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{manageServerUIBean.hostingTableRender}">
						<hx:dataTableEx id="vserverTable" border="0" cellpadding="10" cellspacing="0" columnClasses="columnClass1"
							headerClass="dataTableColumnHeader" footerClass="footerClass"
							rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
							value="#{manageServerUIBean.hostingServers}"
							var="vserverlist">
							
							<hx:columnEx id="selectcol" style="text-align: center;width: 15%">
								<f:facet name="header">
										<usmc:outputLabel styleClass="outputLabel"
											id="selectidNameLbl" value="#{msg.LBL_TBL_SELECT}" />
								</f:facet>
								<h:selectBooleanCheckbox value="#{vserverlist.selected}" disabled="#{!vserverlist.editenabled}"/>
							</hx:columnEx>
							
							<hx:columnEx id="vserveridNamecol">
								<f:facet name="header">
										<usmc:outputLabel styleClass="outputLabel"
											id="vserveridNameLbl" value="#{msg.LBL_VSERVERID_NAME}" />
								</f:facet>
								<h:panelGrid columns="2">
								<h:selectOneMenu value="#{vserverlist.selectServer}">
									<f:selectItems value="#{vserverlist.vservers}"/>
								</h:selectOneMenu>
									<h:outputText value="#{vserverlist.outputString}" styleClass="outputTextString"/>
								</h:panelGrid>
							</hx:columnEx>							
						</hx:dataTableEx>						
					</h:panelGrid>
					<h:panelGrid columns="2" id="pwrhostingactionbuttonpanel" rendered="#{manageServerUIBean.hostingOptionsEnabled}">
							<hx:commandExButton id="addhostingbutton" value="#{msg.LBL_ADD_ADAPTER}" action="#{manageServerUIBean.addHostingServer}" disabled="#{!((manageServerUIBean.hostingAddEnabled && manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}">
								<hx:behavior event="onclick" targetAction="managesettingsPanel" behaviorAction="get;stop"/>
							</hx:commandExButton>
							<hx:commandExButton id="removhostingbutton" value="#{msg.LBL_HOSTING_REMOVE}" action="#{manageServerUIBean.removeHostingServer}" disabled="#{!((manageServerUIBean.hostingTableRender && manageServerUIBean.serverStopped)&& manageServerUIBean.permission)}">
								<hx:behavior event="onclick" targetAction="managesettingsPanel" behaviorAction="get;stop"/>
							</hx:commandExButton>
						</h:panelGrid>
						<h:selectBooleanCheckbox id="powermgmt_modifiedHiddenCheckBox" value="#{manageServerUIBean.hostingServerModified}" style="display: none"/>
											
					</h:panelGrid>
					
					</h:panelGrid>
				</h:panelGrid>				
			
			</h:panelGrid>			
</hx:panelSection>					      
</hx:panelBox>