<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="managePagingDevice" width="100%"
	cellpadding="0" cellspacing="0">

	<h:panelGrid id="pspGrid" styleClass="panelGrid" columns="2"
		rendered="#{manageMemoryUIBean.shared && (manageServerUIBean.rpaEnv || manageServerUIBean.ibmiEnv)}">
		<usmc:outputLabel id="primaryPSPLbl" for="primaryPSP"
			value="#{msg.LBL_PRIMARY_PSP}" styleClass="panelGrid" />
		<h:selectOneMenu id="primaryPSP"
			value="#{manageMemoryUIBean.primaryPSPId.value}">
			<f:selectItems value="#{manageMemoryUIBean.pagingServicePartitions}" />
		</h:selectOneMenu>

		<usmc:outputLabel id="secondaryPSPLbl" for="secondaryPSP"
			value="#{msg.LBL_SECONDARY_PSP}" styleClass="panelGrid" />
		<h:selectOneMenu styleClass="tabButtonBarOne" id="secondaryPSP"
			value="#{manageMemoryUIBean.secondaryPSPId.value}">
			<f:selectItems value="#{manageMemoryUIBean.pagingServicePartitions}" />
		</h:selectOneMenu>
	</h:panelGrid>
	
	<h:outputText value="<br>" escape="false"/>
	
	<h:panelGrid id="entGrid" styleClass="panelGrid" columns="3"  rendered="#{manageServerUIBean.rpaEnv}" id="activeMemoryExpansionGrd">
		<usmc:outputLabel id="activeMemoryExpansionLbl"
			for="activeMemoryExpansionSbc"
			value="#{msg.LBL_ACTIVE_MEMORY_EXPANSION}" />
			
		<vsmfaces:selectBooleanCheckBox id="activeMemoryExpansionSbc"
			uiproperty="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled}" >
			<hx:behavior event="onclick" behaviorAction="get;stop" target="activeMemoryExpansionSbc" targetAction="activeMemoryExpansionGrd" />
		</vsmfaces:selectBooleanCheckBox>
		
		<hx:panelBox>
			<usmc:outputLabel id="autoLbl" value="#{msg.LBL_AME_ON}" />
			<vsmfaces:inputText id="activeMemoryExpansionFactor"
				uiproperty="#{manageMemoryUIBean.activeMemoryExpansionFactor}"  rendered="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled.booleanValue}" />
			<usmc:outputLabel id="activeMemoryExpansionFactorLbl" value="#{msg.LBL_ACTIVE_MEMORY_EXPANSION_FACTOR_RANGE}" rendered="#{manageMemoryUIBean.activeMemoryExpansionIsEnabled.booleanValue}"/>
		</hx:panelBox>
	</h:panelGrid>

</hx:panelBox>
