<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource" var="msg" />
<h:panelGrid id="IOR_Grid" columns="1" styleClass="panelGrid" cellspacing="10">
<h:outputText id="InfoText" styleClass="outputText" value="#{msg['IORProp.InfoText']}" escape="false"></h:outputText>
<exfaces:scrollablePanelGrid id="IORTreeScroable" columns="1" enabled="true">
<exfaces:tree styleClass="chooser-tree" id="IORTree" value="#{helper.slotTree}" height="50" width="190" showRoot="true" notifySelect="true" onclick="getTreeOnClickFunction" lazyLoad="true">
<hx:behavior behaviorAction="get;stop" event="onclick" targetAction="detailsGrid" ></hx:behavior>
</exfaces:tree>
</exfaces:scrollablePanelGrid>
<h:inputHidden id="selectedTreeNode" value="#{helper.selectedTreeNode}"></h:inputHidden>
</h:panelGrid>
<h:panelGrid id="detailsGrid" cellpadding="5" cellspacing="5" rendered="#{helper.hidden}"}>
	<h:inputHidden id="logic" value="#{helper.fetchDetails}"></h:inputHidden>
	<h:outputText id="headerText" styleClass="outputText" style="font-weight: bold" value="#{helper.header}" />
	<hx:dataTableEx border="1"  cellpadding="10" cellspacing="0"  headerClass="newFaceDataTableColumnResizer" rowClasses="newFaceDataTableOddRowClass,newFaceDataTableEvenRowClass" styleClass="dataTableEx" id="IORtableEx" style="text-align:left" 
	value="#{helper.iorDetailsList}" var="IOR">
	
		<hx:columnEx id="PropertyColumn" >
				<f:facet name="header">
				<h:outputText id="PropertyHeader" styleClass="outputText" value="#{msg['IORProp.Property']}"></h:outputText>
				</f:facet>
				<h:outputText id="PropertyVal" styleClass="outputText" value="#{IOR.property}"></h:outputText>
		</hx:columnEx>
		<hx:columnEx id="ValueColumn">
				<f:facet name="header">
				<h:outputText id="ValueHeader" styleClass="outputText" value="#{msg['IORProp.Value']}"></h:outputText>
				</f:facet>
				<h:outputText id="ValueVal" styleClass="outputText" value="#{IOR.property_value}"></h:outputText>
		</hx:columnEx>
	</hx:dataTableEx>
</h:panelGrid>
<hx:ajaxRefreshRequest id="showDetails" target="detailsGrid" params="selectedTreeNode"></hx:ajaxRefreshRequest>
