<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="VIOSPVPropDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
<h:form id="form_ViewVIOSPVProp">

<h:panelGrid id="panelGrid_ViewVIOSPVProp" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">

	<h:outputText id="name_label_pv" styleClass="outputText" value="#{msg['viosVDProp.name']}"></h:outputText>
	<h:outputText id="name_outputText1_pv" value="#{viosPVPropertyBean.name}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="vios_pv_assignedVS_label_pv" styleClass="outputText" value="#{msg['viosVDProp.assignedVS']}"></h:outputText>
	<h:outputText id="vios_pv_assignedVS_outputText_pv" value="#{viosPVPropertyBean.assignedVirtualServer}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
							
	<h:outputText id="vios_pv_size_label_pv" styleClass="outputText" value="#{msg['viosVDProp.size']}"></h:outputText>
	<h:outputText id="size_outputText_pv" value="#{viosPVPropertyBean.size}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
								
	<h:outputText id="storagePool_label_pv" styleClass="outputText" value="#{msg['viosVDProp.storagePool']}" ></h:outputText>
	<h:outputText id="storagePool_outputText_pv" value="#{viosPVPropertyBean.storagePool}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="ppSize_label_pv" styleClass="outputText" value="#{msg['viosVDProp.physicalPartSize']}" ></h:outputText>
	<h:outputText id="ppSize_outputText_pv" value="#{viosPVPropertyBean.physicalPartitionSize}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="lVolume_label_pv" styleClass="outputRText" value="#{msg['viosPVProp.logicalVol']}" ></h:outputText>
	<h:selectOneListbox id="pv_selectOneListBox" value="#{viosPVPropertyBean.logicalVolumes}" size="5">
	<f:selectItems value="#{viosPVPropertyBean.logicalVolumeList}"/>
	</h:selectOneListbox>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="pvid_label_pv" styleClass="outputText" value="#{msg['viosPVProp.pvid']}" ></h:outputText>
	<h:outputText id="pvid_outputText_pv" value="#{viosPVPropertyBean.pvid}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="plc_label_pv" styleClass="outputText" value="#{msg['viosPVProp.physcLocCode']}" ></h:outputText>
	<h:outputText id="plc_outputText_pv" value="#{viosPVPropertyBean.physicalLocCode}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
</h:panelGrid>
	
<h:panelGrid id="panelGrid_ViewVIOSPVPropSCSILabel" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
	
	<h:outputText id="scsciText_label_pv" style="font-weight:bold" styleClass="outputText" value="#{msg['viosVDProp.scsiLabel']}" ></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
</h:panelGrid>

<h:panelGrid id="panelGrid_ViewVIOSPVPropSecond" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
	
	<h:outputText id="clientSCSI_label_pv" styleClass="outputText" value="#{msg['viosVDProp.clientAdapter']}" ></h:outputText>
	<h:outputText id="clientSCSI_outputText_pv" value="#{viosPVPropertyBean.clientAdapter}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
	
	<h:outputText id="serverSCSI_label_pv" styleClass="outputText" value="#{msg['viosVDProp.serverAdapter']}" ></h:outputText>
	<h:outputText id="serverSCSI_outputText_pv" value="#{viosPVPropertyBean.serverAdapter}"></h:outputText>
	<h:outputText value="Blank" rendered="false"></h:outputText>
							
</h:panelGrid>
<h:panelGrid id="panelGrid_vios_pv_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{VIOSPHYSICALVOLPROPERTYTASK.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>


</h:form>		
</f:subview>