<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="ClientPVPropDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
	<h:form id="form_ViewClientPVProp">
		<h:panelGrid id="panelGrid_ViewVClientPVProp" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">
			<h:outputText id="clientPVname_label" styleClass="outputText" value="#{msg['clientPVProp.name']}"></h:outputText>
			<h:outputText id="clientPVname_outputText1" value="#{clientPVPropertyBean.name}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
		
		
			<h:outputText id="sizePV_label" styleClass="outputText" value="#{msg['clientPVProp.size']}"></h:outputText>
			<h:outputText id="sizePV_outputText" value="#{clientPVPropertyBean.size}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
		
			<h:outputText id="LocCodePV_label" styleClass="outputText" value="#{msg['clientPVProp.locationCode']}"></h:outputText>
			<h:outputText id="LocCodePV_outputText" value="#{clientPVPropertyBean.locationCode}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
			<h:outputText id="serverNamePV_label" styleClass="outputText" value="#{msg['clientPVProp.serverName']}"></h:outputText>
			<h:outputText id="serverNamePV_outputText" value="#{clientPVPropertyBean.serverName}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			</h:panelGrid>
			
			<h:panelGrid id="panelGrid_ViewVSCSI_label_pv" columns="1" styleClass="panelGrid" cellspacing="5" width="100%">
			<h:outputText id="VSCSIPV_label" style="font-weight:bold" styleClass="outputText" value="#{msg['clientPVProp.VSCSINote']}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			</h:panelGrid>
			
			<h:panelGrid id="panelGrid_ViewSCSI_client_server_PVProp" columns="2" styleClass="panelGrid" cellspacing="5" width="50%">
			
			<h:outputText id="clientAdapterPV_label" styleClass="outputText" value="#{msg['clientPVProp.clientAdapter']}"></h:outputText>
			<h:outputText id="clientAdapterPV_outputText" value="#{clientPVPropertyBean.clientAdapter}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
			<h:outputText id="serverAdapterPV_label" styleClass="outputText" value="#{msg['clientPVProp.serverAdapter']}"></h:outputText>
			<h:outputText id="serverAdapterPV_outputText" value="#{clientPVPropertyBean.serverAdapter}"></h:outputText>
			<h:outputText value="Blank" rendered="false"></h:outputText>
			
		</h:panelGrid>
		<h:panelGrid id="panelGrid_vios_pvclient_CommandButtons1" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{CLIENTPHYSICALVOLPROPERTYTASK.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
		</h:panelGrid>
	</h:form>
</f:subview>