<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style" href="theme/stylesheet.css">
<portlet:defineObjects />
<f:subview id="AddUtilityDevicesDialogView">
<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
<usmc:form id="form_AddUtilityDevices">

<h:panelGrid  id="panelGrid_overviewMessage_addUtilityDevices"  width="100%" styleClass="panelGrid">
	<h:outputText id="utilitydevicesmessage" value="#{msg['vsmUtilityDevices.addDialogOveriewMessage']}"></h:outputText>
	<h:outputText  value="Blank" rendered="false"></h:outputText>
</h:panelGrid >

<h:panelGrid  id="AddUtilitydevicesTable" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
		<usmc:navigatorWidget id="ADD_UTILITY_DEVICES_NAV_ID"  modelID="USMI" homeID="ADD_UTILITY_DEVICES_CONFIGURATION" selectionPolicy="single" 
		rows="5" includeSearch="true" nonNavigationActionsAllowed="false" includeToolbar="true" includeEmptyRows="false" 
		includeSort="false" includeNavigationalHistory="false"> </usmc:navigatorWidget>
	</h:panelGrid>

<h:panelGrid id="panelGrid_CommandButtons_utilitydevices" columns="2" styleClass="panelGrid" cellspacing="5" width="100%">		
		<h:panelGroup style="display:block;text-align:left">
			<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}" action="#{ADDUTILITYDEVICES.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
			<hx:commandExButton id="cancel" value="#{msg['commandButton.cancel']}" action="#{ADDUTILITYDEVICES.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
			</hx:commandExButton>
		</h:panelGroup>
</h:panelGrid>

</usmc:form>		
</f:subview>
