<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%><%-- tpl:metadata --%>
	<%-- jsf:pagecode language="java" location="/src/pagecode/jsps/sharedprocessorpool/ModifyShareProcAttribute1.java" --%><%-- /jsf:pagecode --%>
<%-- /tpl:metadata --%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>
<link rel="stylesheet" type="text/css" title="Style"
	href="theme/stylesheet.css">
<portlet:defineObjects />

<f:subview id="FCProperty_subview">
	<f:loadBundle
		basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
		var="msg" />
	<usmc:form id="form_FCProperty">
		<h:panelGrid id="FCPropMainGrid">

			<h:panelGrid id="WWPNS_Panel_Grid" columns="2">
				<h:outputText id="WWPNS_TextBox" value="#{msg['vsmPROPFC.wwpns']}"
					styleClass="outputText"></h:outputText>
				<h:outputText id="WWPNS_ValueBox" value="#{FCPropBean.wwpns}"
					styleClass="inputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="PhysicalAdapter_Panel_Grid" columns="2">
				<h:outputText id="physAdapter_text"
					value="#{msg['vsmPROPFC.physicalAdapter']}" styleClass="outputText"></h:outputText>
				<h:outputText id="physAdapter_value"
					value="#{FCPropBean.physicalAdapter}" styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="Loc_Panel_Grid" columns="2">
				<h:outputText id="loc_Text" value="#{msg['vsmPROPFC.locationCode']}"
					styleClass="outputText"></h:outputText>
				<h:outputText id="loc_Value" value="#{FCPropBean.locationCode}"
					styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="VIOS_Name_Panel_Grid" columns="2">
				<h:outputText id="VIOS_Name_text"
					value="#{msg['vsmPROPFC.VIOSName']}" styleClass="outputText"></h:outputText>
				<h:outputText id="VIOS_Value_text" value="#{FCPropBean.viosName}"
					styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="VFC_text_Panel_grid" columns="2">
				<h:outputText id="VFC_OutputLabel" style="font-weight:bold"
					value="#{msg['vsmPROPFC.vfcText']}" styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="Client_Adapter_Panel_Grid" columns="2">
				<h:outputText id="Client_Adapter_text"
					value="#{msg['vsmPROPFC.clientAdapter']}" styleClass="outputText"></h:outputText>
				<h:outputText id="Client_Adapter_Value"
					value="#{FCPropBean.clientAdapter}" styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="Server_Adapter_Panel_grid" columns="2">
				<h:outputText id="Server_Adapter_Text"
					value="#{msg['vsmPROPFC.serverAdapter']}" styleClass="outputText"></h:outputText>
				<h:outputText id="Server_Adapter_Value"
					value="#{FCPropBean.serverAdapter}" styleClass="outputText"></h:outputText>
			</h:panelGrid>

			<h:panelGrid id="FCPropertiesGrid">
				<hx:commandExButton id="ok" value="#{msg['commandButton.ok']}"
					action="#{VIRTUALFCPROPERTY.submit}">
					<hx:behavior event="onclick" behaviorAction="get;stop"
						targetAction="" />
					</hx:commandExButton>
			</h:panelGrid>

		</h:panelGrid>

	</usmc:form>

</f:subview>