<!--  Expand/collapse section for Virtual Disks -->
<hx:panelSection initClosed="false" title="VirtualDiskPanelSection" id="panel_Virtual_disk" styleClass="panelSectionDPSMWide">
	<f:facet name="closed">
		<hx:jspPanel id="VirtualDisk_Panel1">
			<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" align="bottom" border="0" hspace="0" vspace="0"/>
			<h:outputText id="VirtualDisk_caption1" value="#{msg['vsmVirtDisk.VirtualDisk']}"></h:outputText>
		</hx:jspPanel>
	</f:facet>
	<f:facet name="opened">
		<hx:jspPanel id="VirtualDisk_Panel2">
			<hx:graphicImageEx url="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" align="bottom" border="0" hspace="0" vspace="0"/>
			<h:outputText id="caption2" styleClass="outputText"
				value="#{msg['vsmVirtDisk.VirtualDisk']}"></h:outputText>
		</hx:jspPanel>
	</f:facet>	
	
	<h:panelGrid rendered = "#{virtualDiskBean.lparType == 'client'}" id="VirtualDiskClientPanelGrid" width="100%" styleClass="panelGrid">
		<h:outputText id="virtualDiskClientOverviewText" value="#{msg['vsmVirtDisk.VirtualDiskClientOverview']}"></h:outputText>
	</h:panelGrid>
				
	<h:panelGrid rendered = "#{virtualDiskBean.lparType == 'server'}" id="VirtualDiskServerPanelGrid" width="100%" styleClass="panelGrid">
		<h:outputText id="virtualDiskServerOverviewText" value="#{msg['vsmVirtDisk.VirtualDiskServerOverview']}"></h:outputText>
	</h:panelGrid>
					
	<h:panelGrid rendered = "#{virtualDiskBean.lparType == 'client'}" id="VirtualDiskTableGrid" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
		<usmc:navigatorWidget  id="CLIENT_VD_NAVIGATOR_ID" modelID="USMI" homeID="VIRTUALDISK_CONFIGURATION" selectionPolicy="multiple" 
							   includeSearch="true" rows="5" nonNavigationActionsAllowed="false" includeToolbar="true" 
							   includeEmptyRows="false" 
							   includeSort="false" includeNavigationalHistory="false"> </usmc:navigatorWidget>
	</h:panelGrid>
							   
	<h:panelGrid rendered = "#{virtualDiskBean.lparType == 'server'}" id="VIOSVirtualDiskTableGrid" columns="2" width="100%" styleClass="panelGrid" cellspacing="5">
		<usmc:navigatorWidget id="VIOS_VD_NAVIGATOR_ID" modelID="USMI" homeID="VIOSVIRTUALDISK_CONFIGURATION" selectionPolicy="single" 
							   includeSearch="true" rows="5" nonNavigationActionsAllowed="false" includeToolbar="true" 
							   includeEmptyRows="false" includeSort="false" includeNavigationalHistory="false"> </usmc:navigatorWidget>
	</h:panelGrid>
					
</hx:panelSection>